/*--------------------------------------------------------------------------
**      Button.h            Twin           From:  Twin/controls
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	 controls/Button.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/controls/Button.h,v 1.3 1999/07/08 18:52:50 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/
#ifndef Button__h
#define Button__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#include "WindowBytes.h"
/* Private definitions for the DefBUTTONProc */

/* Private item action flags */
#define	ODA_TEXT	0x0100
#define	ODA_BACK	0x0200

/* Private window data offsets */
#define	BWD_STATUS	0x0000
#define	BWD_HFONT	0x0002
#define	BWD_GROUPID	0x0004

/* Private button status flags */
#define	BSF_CHECKED	0x0001
#define	BSF_GRAYED	0x0002
#define	BSF_SELECTED	0x0004
#define	BSF_FOCUS	0x0008
#define	BSF_DISABLED	0x0010
#define	BSF_BUTTONDOWN	0x0040
#define	BSF_CAPTUREACTIVE 0x0080
#define	BSF_CHECKMASK	(BSF_CHECKED|BSF_GRAYED)
#define	BSF_STATEMASK	(BSF_CHECKED|BSF_GRAYED|BSF_SELECTED|BSF_FOCUS)

/* Macros */
#define	GetButtonStatus(h) GetWindowByte(h,BWD_STATUS)
#define SetButtonStatus(h,m) SetWindowByte(h,BWD_STATUS,m)
#define OrButtonStatus(h,m) OrWindowByte(h,BWD_STATUS,m)
#define	TestButtonStatus(h,m) TestWindowByte(h,BWD_STATUS,m)
#define ClearButtonStatus(h,m) AndWindowByte(h,BWD_STATUS,m)
#define ToggleButtonStatus(h,m) XorWindowByte(h,BWD_STATUS,m)

extern void TWIN_Cycle3StateButton(HWND hWnd);

#endif /* Button__h */


/*------------------------- < Full Revision History > ----------------------
** $Log: Button.h,v $
** Revision 1.3  1999/07/08 18:52:50  mwalsh
** Updated Comments
**
**-------------------------------------------------------------------------*/

