/*--------------------------------------------------------------------------
**      EditMemBin.c           Twin           From:  Twin/controls
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	 controls/EditMemBin.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/controls/EditMemBin.c,v 1.3 1999/07/08 18:52:50 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "windowsx.h"
#include "BinTypes.h"
#include "DPMI.h"
#include "Kernel.h"
#include "Resources.h"
#include "Module.h"
#include "Edit.h"

extern ENV *envp_global;
LRESULT EditMemoryBin(HWND,UINT,WPARAM,LPARAM);
extern EDITMEMORYPROC lpfnEditMemBin;

HLOCAL TWIN_LocalFree(HLOCAL);
HLOCAL TWIN_LocalAlloc(UINT, UINT);
char NEAR * TWIN_LocalLock(HLOCAL);
BOOL TWIN_LocalUnlock(HLOCAL);
HLOCAL TWIN_LocalReAlloc(HLOCAL, UINT, UINT);
UINT TWIN_LocalSize(HLOCAL);

LRESULT
EditMemoryBin(HWND hWnd, UINT uAction, WPARAM wParam, LPARAM lParam)
{
    LPEDIT lp;
    DWORD dwSize;
    HANDLE hHandle;
    LRESULT res;
    REGISTER SaveDS;

    if (!(lp = (LPEDIT)GetWindowLong(hWnd,SWD_LPSTR)) || !lp->uSelDS) 
	return 0L;

    dwSize = (DWORD)lParam;
    hHandle = (HANDLE)wParam;
    SaveDS = envp_global->reg.ds;
    envp_global->reg.ds = lp->uSelDS;
    switch (uAction) {
	case EMA_ALLOC:
	    res = (LRESULT)TWIN_LocalAlloc(LMEM_MOVEABLE,(UINT)dwSize);
	    break;
	case EMA_LOCK:
	    res = (DWORD)TWIN_LocalLock(hHandle) + 
			(DWORD)GetPhysicalAddress(envp_global->reg.ds);
	    break;
	case EMA_UNLOCK:
	    res = (LRESULT)TWIN_LocalUnlock(hHandle);
	    break;
	case EMA_FREE:
	    res = (LRESULT)TWIN_LocalFree(hHandle);
	    break;
	case EMA_REALLOC:
	    res = (LRESULT)TWIN_LocalReAlloc(hHandle,dwSize,LMEM_MOVEABLE);
	    break;
	case EMA_SIZE:
	    res = (LRESULT)TWIN_LocalSize(hHandle);
	    break;
	default:
	    res = 0;
	    break;
    }
    envp_global->reg.ds = SaveDS;
    return res;
}


/*------------------------- < Full Revision History > ----------------------
** $Log: EditMemBin.c,v $
** Revision 1.3  1999/07/08 18:52:50  mwalsh
** Updated Comments
**
**-------------------------------------------------------------------------*/

