/*--------------------------------------------------------------------------
**      WHDItem.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WHDItem.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WHDItem.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



#ifndef CWHDITEM_H
#define CWHDITEM_H


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WUtilities.h"
#include "WElement.h"




class CWHDItem :
    public CWElement
{

    public:

        HD_ITEM                                 HDItem;

        
        CWHDItem (
            HD_ITEM                             *pItem );
        virtual ~CWHDItem ();

        virtual CWHDItem& operator= (
            CWHDItem                            &that )
        {
            return ( Assign ( that ) );
        }
        virtual CWElement& operator= (
            CWElement                           &that )
        {
            return ( ( CWElement& ) operator= ( ( CWHDItem& ) that ) );
        }
        virtual int Hash ()
        {
            return ( HDItem.cxy );
        }
        virtual char* String ()
        {
            return ( pString );
        }
        CWHDItem& Assign (
            HD_ITEM                             *pItem );
        void Get (
            HD_ITEM                             *pItem );

    
    private:

        char                                    *pString;

        CWHDItem& Assign (
            CWHDItem                            &that );


};


#endif /* #ifndef CWHDITEM_H*/

/*------------------------- < Full Revision History > ----------------------
** $Log: WHDItem.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/