/*--------------------------------------------------------------------------
**      WHeader.h                Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WHeader.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WHeader.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef CWHEADER_H
#define CWHEADER_H



#if defined ( _WINDOWS )
#define WHD_CLASSNAME                   "WSysHeader32"
#else
#define WHD_CLASSNAME                   "SysHeader32"
#endif


#if defined ( __cplusplus )

class CWAHDItem;



class CWHeader
{

    public:

        CWHeader (
            HWND                                hWnd,
            LPCREATESTRUCT                      pCreateStruct );
        virtual ~CWHeader ();

        LRESULT Paint (
            HDC                                 hDC );
        LRESULT OnLButtonDown (
            UINT                                KeyStatus,
            int                                 X,
            int                                 Y );
        LRESULT OnMouseMove (
            UINT                                KeyStatus,
            int                                 X,
            int                                 Y );
        LRESULT OnLButtonUp (
            UINT                                KeyStatus,
            int                                 X,
            int                                 Y );
        LRESULT DeleteItem (
            DWORD                               ItemIndex );
        LRESULT GetItem (
            DWORD                               ItemIndex,
            HD_ITEM                             *pItem );
        LRESULT GetItemCount ();
        LRESULT InsertItem (
            DWORD                               ItemIndex,
            HD_ITEM                             *pItem );
        LRESULT Layout (
            HD_LAYOUT                           *pLayout );
        LRESULT SetItem (
            DWORD                               ItemIndex,
            HD_ITEM                             *pItem );


    private:

        HWND                                    hWnd;
        DWORD                                   Style;
        int                                     ID;
        CWAHDItem                               *pHDItems;
        BOOL                                    Captured;
        DWORD                                   Index;
        DWORD                                   Offset;
        BOOL                                    Down;
        int                                     OldX;

        LRESULT Notify (
            HD_NOTIFY                           *pNotify )
        {
            return ( SendMessage ( GetParent ( hWnd ), WM_NOTIFY, ( WPARAM )ID, ( LPARAM )pNotify ) );
        }

        void DrawBitmap (
            HDC                                 hDC,
            HBITMAP                             hBitmap,
            LPRECT                              pRect,
            int                                 Format );
        LRESULT PaintItem (
            DWORD                               ItemIndex,
            HDC                                 hDC = ( HDC )NULL,
            DWORD                               *pOffset = NULL );


};

void WINAPI WInitHeader();

#endif /* #if defined ( __cplusplus ) */

#endif /* #ifndef CWHeader_H */

/*------------------------- < Full Revision History > ----------------------
** $Log: WHeader.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/