/*--------------------------------------------------------------------------
**      WLVColumn.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WLVColumn.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WLVColumn.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



#ifndef CWLVColumn_H
#define CWLVColumn_H


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WUtilities.h"
#include "WElement.h"


class CWALVItems;
class CWLVItem;



class CWLVColumn :
    public CWElement
{

    public:

        LV_COLUMN                               LVColumn;

        
        CWLVColumn (
            DWORD                               NumItems = 0,
            LV_COLUMN                           *pColumn = NULL );
        virtual ~CWLVColumn ();

        virtual CWLVColumn& operator= (
            CWLVColumn                          &that )
        {
            return ( Assign ( that ) );
        }
        virtual CWElement& operator= (
            CWElement                           &that )
        {
            return ( ( CWElement& ) operator= ( ( CWLVColumn& ) that ) );
        }
        virtual int Hash ()
        {
            return ( LVColumn.iSubItem );
        }
        virtual char* String ()
        {
            return ( pString );
        }
        CWLVColumn& Assign (
            LV_COLUMN                           *pLVColumn );
        void Get (
            LV_COLUMN                           *pLVColumn );
        void Set (
            LV_COLUMN                           *pLVColumn )
        {
            Assign ( pLVColumn );
        }
        void InsertItem (
            DWORD                               ItemIndex );
        void DeleteItem (
            DWORD                               ItemIndex );
        void GetItem (
            DWORD                               ItemIndex,
            LV_ITEM                             *pLVItem );
        int GetItemTextLength (
            DWORD                               ItemIndex );
        void SetItem (
            DWORD                               ItemIndex,
            LV_ITEM                             *pLVItem );
        DWORD ItemCount ();
        CWALVItems* GetItems ( )
        {
            return ( pItems );
        }
        char* GetItemString (
            DWORD                               ItemIndex );
        DWORD GetItemImageIndex (
            DWORD                               ItemIndex );
        void GetItemPosition (
            DWORD                               ItemIndex,
            LPPOINT                             pPoint );
        void SetItemPosition (
            DWORD                               ItemIndex,
            LPPOINT                             pPoint );


    
    private:

        char                                    *pString;
        CWALVItems                              *pItems;

        CWLVColumn& Assign (
            CWLVColumn                          &that );


};


#endif // #ifndef CWLVColumn_H


/*------------------------- < Full Revision History > ----------------------
** $Log: WLVColumn.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/