/*--------------------------------------------------------------------------
**      WLVItem.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WLVItem.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WLVItem.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/





#ifndef CWLVItem_H
#define CWLVItem_H


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WUtilities.h"
#include "WElement.h"



#define CWLVID_UNASSIGNEDPOSITION               0x8000



class CWLVItem :
    public CWElement
{

    public:

        LV_ITEM                                 LVItem;

        
        CWLVItem (
            LV_ITEM                             *pItem = NULL );
        virtual ~CWLVItem ();

        virtual CWLVItem& operator= (
            CWLVItem                            &that )
        {
            return ( Assign ( that ) );
        }
        virtual CWElement& operator= (
            CWElement                           &that )
        {
            return ( ( CWElement& ) operator= ( ( CWLVItem& ) that ) );
        }
        virtual int Hash ()
        {
            return ( LVItem.iItem << 16 + LVItem.iSubItem );
        }
        virtual char* String ()
        {
            return ( pString );
        }
        CWLVItem& Assign (
            LV_ITEM                             *pItem );
        void Get (
            LV_ITEM                             *pItem );
        void Set (
            LV_ITEM                             *pItem )
        {
            Assign ( pItem );
        }
        int MaxTextLength ()
        {
            return ( LVItem.cchTextMax );
        }
        int GetTextLength ();
        DWORD GetItemImageIndex ();
        void GetPosition (
            LPPOINT                             pPoint );
        void SetPosition (
            LPPOINT                             pPoint );

    
    private:

        char                                    *pString;
        POINT                                   Position;

        CWLVItem& Assign (
            CWLVItem                            &that );


};


#endif /* #ifndef CWLVItem_H */

/*------------------------- < Full Revision History > ----------------------
** $Log: WLVItem.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/