/*--------------------------------------------------------------------------
**      WProgBar.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**       Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WProgBar.h
**
**  Description:PROGRESSBAR CONTROL
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WProgBar.h,v 1.2 1999/07/12 15:38:22 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WPROGRESSBAR_H__
#define __WPROGRESSBAR_H__

#define WPB_ERR_GENERAL					-1
#define WPB_ERR_REGISTERCLASS			-2
#define WPB_ERR_GLOBALALLOC				-3
#define WPB_ERR_GLOBALLOCK				-4
#define	WPB_ERR_LISTCOUNT				-5
#define WPB_ERR_LISTLOCK				-6
#define WPB_ERR_OUTOFRANGE				-7
#define WPB_ERR_LISTCREATE				-8
#define WPB_ERR_NULLPOINTER				-9
#define WPB_ERR_NOSIZE					-10
#define WPB_ERR_LOCALALLOC				-11
#define WPB_ERR_LOCALLOCK				-12
#define WPB_ERR_OUTOFBOUNDS				-13
#define WPB_ERR_LISTINITIALIZE			-14
#define WPB_ERR_LISTINSERT				-15
#define WPB_ERR_LISTDESTROY				-16
#define WPB_ERR_GETDC					-17
#define WPB_ERR_DRAWTEXT				-18
#define WPB_ERR_HEADERINSERT			-19
#define WPB_ERR_LISTDELETE				-20
#define WPB_ERR_GETWINPROP			-21
#define WPB_ERR_CREATEWINDOW			-22
#define WPB_ERR_MEMORYLOCK			-23
#define WPB_ERR_MEMORYALLOC			-24


#ifdef _WINDOWS
#define WC_PROGRESSBAR				"Wmsctls_progress32"
#else /* #ifdef _WINDOWS */
#define WC_PROGRESSBAR				PROGRESS_CLASS
#endif /* #ifdef _WINDOWS #else */

void WINAPI ProgBar_Terminate ( HINSTANCE );
int WINAPI ProgBar_Initialize ( HINSTANCE );

#endif /* #ifdef __WTRACKBAR_H__ */

/*------------------------- < Full Revision History > ----------------------
** $Log: WProgBar.h,v $
** Revision 1.2  1999/07/12 15:38:22  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/
