/*--------------------------------------------------------------------------
**      WTab.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WTab.h
**
**  Description:TAB CONTROL
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WTab.h,v 1.3 1999/11/29 05:50:59 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WTABCONTROL_H__
#define __WTABCONTROL_H__

#define WTC_ERR_GENERAL					-1
#define WTC_ERR_REGISTERCLASS			-2
#define WTC_ERR_GLOBALALLOC				-3
#define WTC_ERR_GLOBALLOCK				-4
#define	WTC_ERR_LISTCOUNT				-5
#define WTC_ERR_LISTLOCK				-6
#define WTC_ERR_OUTOFRANGE				-7
#define WTC_ERR_LISTCREATE				-8
#define WTC_ERR_NULLPOINTER				-9
#define WTC_ERR_NOSIZE					-10
#define WTC_ERR_LOCALALLOC				-11
#define WTC_ERR_LOCALLOCK				-12
#define WTC_ERR_OUTOFBOUNDS				-13
#define WTC_ERR_LISTINITIALIZE			-14
#define WTC_ERR_LISTINSERT				-15
#define WTC_ERR_LISTDESTROY				-16
#define WTC_ERR_GETDC					-17
#define WTC_ERR_DRAWTEXT				-18
#define WTC_ERR_HEADERINSERT			-19
#define WTC_ERR_LISTDELETE				-20
#define WTC_ERR_CREATEWINDOW			-22
#define WTC_ERR_GETWINPROP			-23

#define TCM_SETMINTABWIDTH			(TCM_FIRST+49)
#define TCM_DESELECTALL				(TCM_FIRST+50)
#define TCM_HIGHLIGHTITEM			(TCM_FIRST+51)
#define TCM_SETEXTENDEDSTYLE			(TCM_FIRST+52)
#define TCM_GETEXTENDEDSTYLE			(TCM_FIRST+53)


#ifdef _WINDOWS

#define WWC_TABCONTROL				"WSysTabControl32"

#else /* #ifdef _WINDOWS */

#define WWC_TABCONTROL				WC_TABCONTROL
#endif /* #ifdef _WINDOWS #else */


#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: WTab.h,v $
** Revision 1.3  1999/11/29 05:50:59  robf
** added newer tab control messages
**
** Revision 1.2  1999/07/12 15:38:22  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/
