/*--------------------------------------------------------------------------
**      WTooltip.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WTooltip.h
**
**  Description:TOOLTIP CONTROL
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WTooltip.h,v 1.2 1999/07/12 15:38:23 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WTOOLTIP_H__
#define __WTOOLTIP_H__

#define WTT_ERR_GENERAL					-1
#define WTT_ERR_REGISTERCLASS			-2
#define WTT_ERR_GLOBALALLOC				-3
#define WTT_ERR_GLOBALLOCK				-4
#define	WTT_ERR_LISTCOUNT				-5
#define WTT_ERR_LISTLOCK				-6
#define WTT_ERR_OUTOFRANGE				-7
#define WTT_ERR_LISTCREATE				-8
#define WTT_ERR_NULLPOINTER				-9
#define WTT_ERR_NOSIZE					-10
#define WTT_ERR_LOCALALLOC				-11
#define WTT_ERR_LOCALLOCK				-12
#define WTT_ERR_OUTOFBOUNDS				-13
#define WTT_ERR_LISTINITIALIZE			-14
#define WTT_ERR_LISTINSERT				-15
#define WTT_ERR_LISTDESTROY				-16
#define WTT_ERR_GETDC					-17
#define WTT_ERR_DRAWTEXT				-18
#define WTT_ERR_HEADERINSERT			-19
#define WTT_ERR_LISTDELETE				-20
#define WTT_ERR_HEADERDELETE			-21
#define WTT_ERR_CREATEWINDOW			-22
#define WTT_ERR_MEMORYLOCK			-23
#define WTT_ERR_GETWINPROP			-24


#ifdef _WINDOWS
#define WC_TOOLTIP				"Wtooltips_class32"

#else /* #ifdef _WINDOWS */
#define WC_TOOLTIP				TOOLTIPS_CLASS
#endif /* #ifdef _WINDOWS #else */


#endif /* #ifdef __WTOOLTIP_H__ */

/*------------------------- < Full Revision History > ----------------------
** $Log: WTooltip.h,v $
** Revision 1.2  1999/07/12 15:38:23  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/