/*--------------------------------------------------------------------------
**      WUpdown.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WUpdown.h
**
**  Description: Updown Control
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WUpdown.h,v 1.2 1999/07/12 15:38:23 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WUPDOWN_H__
#define __WUPDOWN_H__

#define WUD_ERR_GENERAL					-1
#define WUD_ERR_REGISTERCLASS			-2
#define WUD_ERR_GLOBALALLOC				-3
#define WUD_ERR_GLOBALLOCK				-4
#define	WUD_ERR_LISTCOUNT				-5
#define WUD_ERR_LISTLOCK				-6
#define WUD_ERR_OUTOFRANGE				-7
#define WUD_ERR_LISTCREATE				-8
#define WUD_ERR_NULLPOINTER				-9
#define WUD_ERR_NOSIZE					-10
#define WUD_ERR_LOCALALLOC				-11
#define WUD_ERR_LOCALLOCK				-12
#define WUD_ERR_OUTOFBOUNDS				-13
#define WUD_ERR_LISTINITIALIZE			-14
#define WUD_ERR_LISTINSERT				-15
#define WUD_ERR_LISTDESTROY				-16
#define WUD_ERR_GETDC					-17
#define WUD_ERR_DRAWTEXT				-18
#define WUD_ERR_HEADERINSERT			-19
#define WUD_ERR_LISTDELETE				-20
#define WUD_ERR_GETWINPROP			-21
#define WUD_ERR_CREATEWINDOW			-22
#define WUD_ERR_MEMORYLOCK			-23
#define WUD_ERR_MEMORYALLOC			-24


#ifdef _WINDOWS

#define WC_UPDOWN				"Wmsctls_updown32"

#else /* #ifdef _WINDOWS */

#define WC_UPDOWN				UPDOWN_CLASS
#endif /* #ifdef _WINDOWS #else */


#endif /* #ifdef __WUPDOWN_H__ */


/*------------------------- < Full Revision History > ----------------------
** $Log: WUpdown.h,v $
** Revision 1.2  1999/07/12 15:38:23  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/