/*--------------------------------------------------------------------------
**      Commdlg.c                 Twin           From:  Twin/dlls/commdlg
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commdlg/Commdlg.c
**
**  Description:Common Dialog Support Routines
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commdlg/Commdlg.c,v 1.3 1999/07/12 19:35:17 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "commdlg.h"

#include "Log.h"

HINSTANCE TWIN_GetInstance(void);

DWORD LastCommonDialogError = 0;

DWORD WCDSetExtendedError (
	DWORD                           NewError )

{

	DWORD                           OldError = LastCommonDialogError;


	LastCommonDialogError = NewError;

	return ( OldError );

}

extern int InternalDlgIndirectParam(HINSTANCE,HGLOBAL,HWND,DLGPROC,LPARAM);
extern HINSTANCE GetInstanceFromModule(HMODULE);

/*********************************************************************/
BOOL
MakeDialogBox(HINSTANCE hInstance, HWND hwndOwner, LPCSTR lpTemplateName, 
		BOOL bEnableTemplate, BOOL bEnableTemplateHandle, 
		LPCSTR lpRsc, LPVOID lpCommDlgStruct, DLGPROC lpfnDlgProc)
{
	HINSTANCE	hInst;
	LPSTR		lpDlg;

	LastCommonDialogError = 0;

	if ( !(hInst = GetInstanceFromModule(GetModuleHandle("COMMDLG"))) )
		hInst = LoadLibrary("COMMDLG");
	
	if ( bEnableTemplateHandle )
		return InternalDlgIndirectParam(hInst, hInstance, hwndOwner,
					lpfnDlgProc, (LPARAM)lpCommDlgStruct);

	if ( bEnableTemplate ) {
		lpDlg = (LPSTR)lpTemplateName;
		hInst = hInstance;
	}
	else
		lpDlg = (LPSTR)lpRsc;

	return DialogBoxParam(hInst, lpDlg, hwndOwner,
			    lpfnDlgProc, (LPARAM)lpCommDlgStruct);
}
/******************************************************************************/
/******************************************************************************/
/******************************************************************************/
/******************************************************************************/
DWORD CommDlgExtendedError ( void )
{

	return ( LastCommonDialogError );

}

extern BOOL  WGetOpenFileName (LPOPENFILENAME);
extern BOOL  WGetSaveFileName (LPOPENFILENAME);
extern short WGOFNInitDialog ();
extern short WGOFNTerminateDialog ();

BOOL GetOpenFileName (
	LPOPENFILENAME                   lpOpenFileName )

{
	
	return ( WGetOpenFileName ( lpOpenFileName ) );

}

BOOL WINAPI
GetOpenFileNameW
  ( LPOPENFILENAME FAR*          lpCC )
{
	APISTR((LF_APISTUB,"GetOpenFileNameW(%p) returns 0\n"));
	return 0;	
}

BOOL GetOpenFileNameA (LPOPENFILENAME lpOpenFileName )
{
	return GetOpenFileName(lpOpenFileName);
}

BOOL GetSaveFileName (
	LPOPENFILENAME                   lpOpenFileName )
{

	return ( WGetSaveFileName ( lpOpenFileName ) );

}

BOOL WINAPI
GetSaveFileNameW
  ( LPOPENFILENAME FAR*          lpCC )
{
	APISTR((LF_APISTUB,"GetSaveFileNameW(%p) returns 0\n"));
	return 0;	
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Commdlg.c,v $
** Revision 1.3  1999/07/12 19:35:17  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/