/*--------------------------------------------------------------------------
**      CommdlgIT.c                 Twin           From:  Twin/dlls/commdlg
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commdlg/CommdlgIT.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commdlg/CommdlgIT.c,v 1.2 1999/07/12 19:35:17 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#define NOAPIPROTO
#include "windows.h"
#include "Resources.h"
#include "ModTable.h"
#include "Segment.h"
#include "Log.h"

extern long int Trap();

/* These function prototypes conflict with commdlg.h (included from
 * windows.h) unless NOCOMMDLG is defined.
 */
extern long int GetOpenFileName();
extern long int GetSaveFileName();
extern long int GetFileTitle();
extern long int PrintDlg();
extern long int ChooseColor();
extern long int ChooseFont();
extern long int FindText();
extern long int ReplaceText();
extern long int CommDlgExtendedError();

#if defined(TWIN_BIN16)
extern long int IT_1LPOF();
extern long int IT_2LP1UI();
extern long int IT_PRINTDLG();
extern long int IT_CHOOSECOLOR();
extern long int IT_CHOOSEFONT();
extern long int IT_FINDREPLACE();
extern long int IT_V();

 /* Interface Segment Image COMMDLG: */

static long int (*seg_image_COMMDLG_0[])() =
{	/* nil */	0, 0,
	/* 001 */	IT_1LPOF,  GetOpenFileName,
	/* 002 */	IT_1LPOF,  GetSaveFileName,
	/* 003 */	Trap, 0,
	/* 004 */	Trap, 0,
	/* 005 */	IT_CHOOSECOLOR, ChooseColor,
	/* 006 */	Trap, 0,
	/* 007 */	Trap, 0,
	/* 008 */	Trap, 0,
	/* 009 */	Trap, 0,
	/* 00a */	Trap, 0,
	/* 00b */	IT_FINDREPLACE, FindText,
	/* 00c */	IT_FINDREPLACE, ReplaceText,
	/* 00d */	Trap, 0,
	/* 00e */	Trap, 0,
	/* 00f */	IT_CHOOSEFONT, ChooseFont,
	/* 010 */	Trap, 0,
	/* 011 */	Trap, 0,
	/* 012 */	Trap, 0,
	/* 013 */	Trap, 0,
	/* 014 */	IT_PRINTDLG, PrintDlg,
	/* 015 */	Trap, 0,
	/* 016 */	Trap, 0,
	/* 017 */	Trap, 0,
	/* 018 */	Trap, 0,
	/* 019 */	Trap, 0,
	/* 01a */	IT_V, CommDlgExtendedError,
	/* 01b */	IT_2LP1UI, GetFileTitle,
	0
};
#endif

 /* Segment Table COMMDLG: */

SEGTAB SegmentTableCOMMDLG[] =
{	
#if defined(TWIN_BIN16)
	{ (char *) seg_image_COMMDLG_0, 216, TRANSFER_CALLBACK, 216, 0, 0 },
#endif
	/* end */	{ 0, 0, 0, 0, 0, 0 }
};

extern void TWIN_InitCommdlg();
extern HINSTANCE LoadLibrary(LPCSTR);
static HINSTANCE hInstance;

HINSTANCE
TWIN_GetInstance()
{
	if(hInstance == 0) {
		hInstance = LoadLibrary("shell");
		logstr(LF_CONSOLE,"Warning: commdlg not properly initialized\n");
	}
	return hInstance;
}

long WGOFNTerminateDialog ( void );

long 
WEP ( void )

{
	return ( WGOFNTerminateDialog () );
}

long int
Commdlg_LibMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpCmdLine, int nCmdShow)

{
	/* save our instance for later retrieval */
	hInstance = hInst;

	return(0);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: CommdlgIT.c,v $
** Revision 1.2  1999/07/12 19:35:17  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/