/*--------------------------------------------------------------------------
**      SysKeyboard.c                 Twin           From:  Twin/dlls/keyboard
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/keyboard/SysKeyboard.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/keyboard/SysKeyboard.c,v 1.3 1999/11/30 01:13:33 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"
#include "Driver.h"

int WINAPI
GetKeyboardType(int fnKeyboard)
{
    return (int)DRVCALL_KEYBOARD(PKH_GETTYPE,fnKeyboard,0,0);
}

int WINAPI
GetKBCodePage(void)
{
    return (int)DRVCALL_KEYBOARD(PKH_CODEPAGE,0,0,0);
}

UINT WINAPI
MapVirtualKey(UINT uKeyCode, UINT fuMapType)
{
    UINT retcode;

    retcode = (UINT)DRVCALL_KEYBOARD(PKH_MAPKEY,uKeyCode,fuMapType,0);

    APISTR((LF_API,"MapVirtualKey: %x type %x returned %x\n",
	uKeyCode,fuMapType,retcode));

    return retcode;
}

int WINAPI
GetKeyNameText(LONG lParam, LPSTR lpszBuffer, int cbMaxKey)
{
    if (!lpszBuffer || cbMaxKey <= 0)
	return 0;

    (void)DRVCALL_KEYBOARD(PKH_KEYTEXT,lParam,cbMaxKey,lpszBuffer);

    return strlen(lpszBuffer);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: SysKeyboard.c,v $
** Revision 1.3  1999/11/30 01:13:33  robf
** moved ToAscii into USER
**
** Revision 1.2  1999/07/12 19:35:26  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/
