/*--------------------------------------------------------------------------
**      DefTable.c                 Twin           From:  Twin/dlls/libdll
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/libdll/DefTable.c
**
**  Description:Default Module Description Table
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/libdll/DefTable.c,v 1.2 1999/07/12 19:35:27 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "kerndef.h"
#include "Resources.h"
#include "Module.h"
#include "Kernel.h"

extern long LibMain();
extern TYPEINFO *hsmt_resource_table;

static ENTRYTAB entry_tab_default[] =
{	/* 000 */	{ 0, 0, 0, LibMain },
	/* end */	{ 0, 0, 0, 0 }
};


 /* Module Descriptor for appl: */

static MODULEDSCR mod_dscr_default =
{	"Default",
	entry_tab_default,
	0,
	(long*)&hsmt_resource_table
};

MODULETAB ModuleDescriptorTable = {
	MODULE_SYSTEM, &mod_dscr_default
};

/*------------------------- < Full Revision History > ----------------------
** $Log: DefTable.c,v $
** Revision 1.2  1999/07/12 19:35:27  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/