/*--------------------------------------------------------------------------
**      System.c                 Twin           From:  Twin/dlls/system
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/system/System.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/system/System.c,v 1.2 1999/07/12 19:35:42 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#include <errno.h>
#include <stdarg.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "windowsx.h"
#include "kerndef.h"
#include "Log.h"

#define PUBLIC
#define PRIVATE	static

#define DOSMINOR	0
#define DOSMAJOR	5
#define	DOSVERSION()	(DOSMAJOR<<8|DOSMINOR)
#define WINMINOR	10
#define WINMAJOR	3
#define	WINVERSION()	(WINMINOR<<8|WINMAJOR)

DWORD
InquireSystem(WORD wFlag, WORD wDriveNumber, BOOL bOptionalEnable)
{
    APISTR((LF_APISTUB,"InquireSystem(WORD=%x,WORD=%x,BOOL=%d)\n",
	wFlag,wDriveNumber,bOptionalEnable));
    return 0L;
}

WORD
Get80x87SaveSize(void)
{
    APISTR((LF_APISTUB,"Get80x87SaveSize()\n"));
#ifndef	NOFPU87
    return 0x5e;
#else
    return 0;
#endif
}

/* these are undocumented APIs */

WORD CreateSystemTimer(int, FARPROC);
WORD KillSystemTimer(WORD);
void EnableSystemTimers(void);
void DisableSystemTimers(void);

WORD
CreateSystemTimer(int nRate, FARPROC lpCallBack)
{
    APISTR((LF_APISTUB,
	"CreateSystemTimer(int=%x,FARPROC=%x)\n",
	nRate,lpCallBack));
    return 1;
}

WORD
KillSystemTimer(WORD wTimer)
{
    APISTR((LF_APISTUB,"KillSystemTimer(WORD=%x)\n",wTimer));
    return wTimer;
}

void
EnableSystemTimers(void)
{
    APISTR((LF_APISTUB,"EnableSystemTimers()\n"));
}

void
DisableSystemTimers(void)
{
    APISTR((LF_APISTUB,"DisableSystemTimers()\n"));
}

/*------------------------- < Full Revision History > ----------------------
** $Log: System.c,v $
** Revision 1.2  1999/07/12 19:35:42  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/