/*--------------------------------------------------------------------------
**      VerIF.c                 Twin           From:  Twin/dlls/version
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/version/VerIF.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/version/VerIF.c,v 1.2 1999/07/12 19:35:47 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "kerndef.h"
#include "BinTypes.h"
#include "Kernel.h"
#include "Log.h"
#include "Endian.h"
#include "DPMI.h"

#if defined(TWIN_BIN16)
void
IT_GETFILERESOURCESIZE(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPSTR	lp1, lp2, lp3;

	lpbin = (BINADDR)GETDWORD(SP+18);
	lp1 = (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+14);
	lp2 = (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+10);
	lp3 = (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(lp1, lp2, lp3, GETDWORD(SP+6));
	envp->reg.sp += 3*LP_86 + DWORD_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}


void
IT_GETFILERESOURCE(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPBYTE	lp1, lp2, lp3, lp4;

	lpbin = (BINADDR)GETDWORD(SP+26);
	lp1 = (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+22);
	lp2 = (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+18);
	lp3 = (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+6);
	lp4 = (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(lp1, lp2, lp3, GETDWORD(SP+14), GETDWORD(SP+10), lp4);
	envp->reg.sp += 4*LP_86 + 2*DWORD_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}


void
IT_GETFILEVERSIONINFOSIZE(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPSTR	lp;

	lpbin = (BINADDR)GETDWORD(SP+6);
	lp = (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(lp, GETDWORD(SP+10));
	envp->reg.sp += LP_86 + DWORD_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}


void
IT_GETFILEVERSIONINFO(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPSTR	lp1, lp2;

	lpbin = (BINADDR)GETDWORD(SP+18);
	lp1= (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+6);
	lp2= (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(lp1, GETDWORD(SP+14), GETWORD(SP+10), lp2);
	envp->reg.sp += 2*LP_86 + 2*DWORD_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}


void
IT_1UI7LP(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPBYTE	lp1, lp2, lp3, lp4, lp5, lp6, lp7;

	lpbin = (BINADDR)GETDWORD(SP+30);
	lp1= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+26);
	lp2= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+22);
	lp3= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+18);
	lp4= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+14);
	lp5= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+10);
	lp6= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+6);
	lp7= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(GETWORD(SP+32), lp1, lp2, lp3, lp4, lp5, lp6, lp7);
	envp->reg.sp += 7*LP_86 + UINT_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}



void
IT_VERLANGUAGENAME(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPSTR	lp;

	lpbin = (BINADDR)GETDWORD(SP+8);
	lp= (LPSTR)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(GETWORD(SP+10), lp, GETWORD(SP+4));
	envp->reg.sp += LP_86 + 2*UINT_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}


void
IT_VERQUERYVALUE(ENV *envp, LONGPROC f)
{
	DWORD	rc;
	BINADDR	lpbin;
	LPBYTE	lp1, lp2, lp3, lp4;

	lpbin = (BINADDR)GETDWORD(SP+18);
	lp1= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+14);
	lp2= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+10);
	lp3= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	lpbin = (BINADDR)GETDWORD(SP+6);
	lp4= (LPBYTE)GetAddress(HIWORD(lpbin), LOWORD(lpbin));
	rc = f(lp1, lp2, lp3, lp4);
	envp->reg.sp += 4*LP_86;
	envp->reg.ax = LOWORD(rc);
	envp->reg.dx = HIWORD(rc);
}
#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: VerIF.c,v $
** Revision 1.2  1999/07/12 19:35:47  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/