/*--------------------------------------------------------------------------
**      DrvDC.h                Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvDC.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvDC.h,v 1.2 1999/07/08 18:53:32 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <X11/Xlib.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "DrvDP.h"	/* PRIVATEDISPLAY */
#include "DrvImages.h"	/* DRVIMAGEDATA */
#include "DrvText.h"	/* DRVFONTDATA */

typedef struct tagDRIVERDC
{
    GC		gc;		/* graphics context 		*/
    Pixmap	Drawable;	/* drawable (win or pixmap)	*/
    PRIVATEDISPLAY  *dp;	/* pointer to display/screen 	*/
    DWORD	dwDCFlags;	/* DCX flags			*/

    POINT	cpt;		/* current MoveTo point		*/

    int		BkFillMode;	/* OPAQUE/TRASPARENT		     */
    int		RopFunction;	/* logical operation on GC	*/
    int		StretchMode;	/* SetStretchBltMode		*/

    LONG	TextColorPixel;	/* Pixel for TextColor		*/
    LONG	PenColorPixel;	/* Pixel for PenColor		*/
    LONG	BrushColorPixel;/* Pixel for BrushColor		*/
    LONG 	ForeColorPixel;	/* Last set foreground color pixel */
    LONG	BackColorPixel;	/* Pixel for BkColor		*/

    int		FillStyle;	/* Last set fill style		*/
    int		BrushFillStyle;	/* FillSolid/FillOpaqueStippled, etc */

    int		BrushFlag;	/* BFP_XXX flag			*/
    DWORD	BrushXOrigin;
    LPDRVIMAGEDATA lpDrvImage;  /* currently selected bitmap	*/

    int		PenStyle;	/* PS_XXX			*/

    LPDRVFONTDATA lpFontData;	/* driver font data ptr */

    POINT	cpClipOrigin;	/* clipping origin (DCOrg)	*/
    Region	ClipRegion;	/* clipping region	*/
    Region 	UpdateRegion;	/* update region 	*/
    Region 	VisibleRegion;	/* visible region 	*/

    /* palette index translation table (from logical to hardware palette) */
    WORD	wPaletteSize;
    LPWORD	lpPaletteIndexTable;
    LPPALETTEENTRY lpPaletteEntryTable;

} DRIVERDC;

typedef DRIVERDC *LPDRIVERDC;

/*------------------------- < Full Revision History > ----------------------
** $Log: DrvDC.h,v $
** Revision 1.2  1999/07/08 18:53:32  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/