/*--------------------------------------------------------------------------
**      DrvRegions.h         Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvRegions.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvRegions.h,v 1.2 1999/07/08 18:53:32 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 
DECLARE_HANDLE32(REGION32);

#define	PRH_CREATEREGION		0x0003
#define	PRH_CREATEPOLYREGION		0x0004
#define	PRH_CREATERECTREGION		0x0005
#define	PRH_CREATEELLIPTICREGION	0x0006
#define	PRH_CREATEROUNDRECTREGION	0x0007
#define	PRH_DESTROYREGION		0x0008

#define	PRH_SETREGIONEMPTY		0x0009
#define	PRH_SETRECTREGION		0x000a

#define	PRH_PTINREGION			0x000b
#define	PRH_RECTINREGION		0x000c
#define	PRH_ISEMPTYREGION		0x000d
#define	PRH_EQUALREGION			0x000e

#define	PRH_OFFSETREGION		0x000f
#define	PRH_UNIONREGION			0x0010
#define	PRH_COPYREGION			0x0011
#define	PRH_INTERSECTREGION		0x0012
#define	PRH_DIFFREGION			0x0013
#define	PRH_XORREGION			0x0014
#define	PRH_UNIONRECTWITHREGION		0x0015

#define	PRH_REGIONBOX			0x0016

/* capabilities masks */
#define	RSUB_CANDO_RECT			0x0001
#define	RSUB_CANDO_ELLIPTIC		0x0002
#define	RSUB_CANDO_ROUNDRECT		0x0004
#define	RSUB_CANDO_FLOODFILL		0x0008

/*------------------------- < Full Revision History > ----------------------
** $Log: DrvRegions.h,v $
** Revision 1.2  1999/07/08 18:53:32  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/