/*--------------------------------------------------------------------------
**      Bin16.c                 Twin           From:  Twin/if1632
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	if1632/Bin16.c
**
**  Description: stubs for native only versions of twin libraries.
**	             these functions are referenced, but will/should
**	             never be called.
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/if1632/Bin16.c,v 1.2 1999/07/08 18:53:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "kerndef.h"
#include "Endian.h"
#include "Log.h"
#include "DPMI.h"
#include "BinTypes.h"
#include "KrnTask.h"
#include "Resources.h"
#include "Module.h"

typedef	unsigned short TWIN_HLOCAL;

BOOL WINAPI
TWIN_LocalInit(UINT uSegment, UINT uStartAddr, UINT uEndAddr)
{
	return FALSE;
}

TWIN_HLOCAL WINAPI
TWIN_LocalAlloc(UINT fuAllocFlags, UINT fuAlloc)
{
	return (TWIN_HLOCAL) 0;
}

char NEAR * WINAPI
TWIN_LocalLock(TWIN_HLOCAL hloc)
{
	return NULL;
}

BOOL WINAPI
TWIN_LocalUnlock(TWIN_HLOCAL hloc)
{
	return FALSE;
}

UINT WINAPI
TWIN_LocalCompact(UINT uMinFree)
{
	return 0;
}

TWIN_HLOCAL WINAPI
TWIN_LocalReAlloc(TWIN_HLOCAL hloc, UINT fuNewSize, UINT fuFlags)
{
	return 0;
}

UINT WINAPI
TWIN_LocalFlags(TWIN_HLOCAL hloc)
{
	return 1;
}

UINT WINAPI
TWIN_LocalSize(TWIN_HLOCAL hloc)
{
	return 0;
}

UINT WINAPI
TWIN_LocalShrink(TWIN_HLOCAL hloc, UINT cbNewSize)
{
	return cbNewSize;
}

TWIN_HLOCAL WINAPI
TWIN_LocalHandle(UINT uMemOffset)
{
	return 0;
}

WORD WINAPI
TWIN_LocalHandleDelta(int nNewDelta)
{
	return 0;
}

TWIN_HLOCAL WINAPI
TWIN_LocalFree(TWIN_HLOCAL hloc)
{
	return (TWIN_HLOCAL)0;
}
			
void
invoke_binary()
{}

BINADDR
make_binary_thunk(LPDWORD targ, DWORD conv)
{
	return 0;
}

DWORD
make_native_thunk(DWORD targ, DWORD conv)
{
	return 0;
}

BOOL
TWIN_ThunkManager(int allocate)
{
	return 1;
}

LRESULT
hsw_common_nat_to_bin(HWND hWnd, UINT message, WPARAM w, LPARAM l)
{
	return 0;
}
LRESULT
hsw_common_bin_to_nat(HWND hWnd, UINT uiMsg, WPARAM w, LPARAM l)
{
	return 0;
}
LRESULT  EditMemoryBin(HWND hWnd,UINT uiMsg,WPARAM w,LPARAM l)
{
	return 0;
}

FARPROC
OEM_GetProcAddress(LPMODULEINFO lpModuleInfo, UINT uOrdinal)
{
	return 0;
}
void
TWIN_InitializeConvertMsg()
{
	return;
}

BOOL
TWIN_IsBadHugePtr(const void *lp, DWORD cb)
{
	return TRUE;
}

BOOL
TWIN_IsBadPtr(const void *lp, UINT cb)
{
	return TRUE;
}

BOOL
IsBadReadPtr16(const void *lp, UINT cb)
{
	return TRUE;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Bin16.c,v $
** Revision 1.2  1999/07/08 18:53:41  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/
