/*--------------------------------------------------------------------------
**      ValidateModule.c            Twin           From:  Twin/if1632
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	if1632/ValidateModule.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/if1632/ValidateModule.c,v 1.2 1999/07/08 18:53:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>
#include <ctype.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Validate.h"

extern BYTE bit_reverse[];

BOOL
ValidateModule(LPCSTR lpModuleName)
{
    BYTE buf[_MAX_PATH];
    LPBYTE ptr;
    int len,i;
	BOOL	Restricted  = TRUE;
	BOOL	ReturnValue = TRUE;

#ifndef RESTRICTED
	Restricted = FALSE;
#endif

	if ( Restricted )
	{
		ReturnValue = FALSE;
		len = strlen(lpModuleName);
		for (i=0; i<len; i++)
			buf[i] = bit_reverse[(BYTE)(toupper(lpModuleName[len-1-i]))];
		buf[i] = 0;

		for(ptr = &AllowedModules[0]; *ptr; ptr += strlen((LPSTR)ptr)+1)
			if (!memcmp(ptr,buf,len))
				ReturnValue = TRUE;
	}

    return ReturnValue;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: ValidateModule.c,v $
** Revision 1.2  1999/07/08 18:53:43  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/
