/*--------------------------------------------------------------------------
**      atlconv.h                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	include/atlconv.h
**	
**  Description:Blank.
**		
**
**  Functions defined:None.
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/atlconv.h,v 1.5 1999/07/31 02:25:26 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

#if ! defined(USES_CONVERSION)
    #define USES_CONVERSION int _convert = 0
#endif

LPWSTR WINAPI AtlA2WHelper(LPWSTR lpw, LPCSTR lpa, int nChars);
LPSTR WINAPI AtlW2AHelper(LPSTR lpa, LPCWSTR lpw, int nChars);

#ifndef ATLA2WHELPER
#define ATLA2WHELPER AtlA2WHelper
#define ATLW2AHELPER AtlW2AHelper
#endif

#define A2W(lpa) (\
	((LPCSTR)lpa == NULL) ? NULL : (\
		_convert = (lstrlenA(lpa)+1),\
		ATLA2WHELPER((LPWSTR) alloca(_convert*2), lpa, _convert)))

#define W2A(lpw) (\
	((LPCWSTR)lpw == NULL) ? NULL : (\
		_convert = (lstrlenW(lpw)+1)*2,\
		ATLW2AHELPER((LPSTR) alloca(_convert), lpw, _convert)))

#define A2CW(lpa) ((LPCWSTR)A2W(lpa))
#define W2CA(lpw) ((LPCSTR)W2A(lpw))

#if ! defined(T2COLE)
    #define T2COLE(x) ((LPCOLESTR)(x))
#endif

#if ! defined(T2OLE)
    #define T2OLE(x) ((LPOLESTR)(x))
#endif

#if ! defined(OLE2CT)
    #define OLE2CT(x) ((LPCSTR)(x))
#endif

#if ! defined(T2A)
    #define T2A(x) (x)
#endif


#define DEVMODEOLE DEVMODEA
#define LPDEVMODEOLE LPDEVMODEA
#define TEXTMETRICOLE TEXTMETRICA
#define LPTEXTMETRICOLE LPTEXTMETRICA


/*------------------------- < Full Revision History > ----------------------
** $Log: atlconv.h,v $
** Revision 1.5  1999/07/31 02:25:26  jwhite
** Revisions to OLE support.
**
**
**-------------------------------------------------------------------------*/


