/*--------------------------------------------------------------------------
**      cderr.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	include/cderr.h
**
**  Description: error codes definitions for common dialogs
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/cderr.h,v 1.3 1999/07/12 21:13:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef cderr_h
#define cderr_h

/********************************/
/* Common Dialog Routine Failed */
/********************************/

#define CDERR_DIALOGFAILURE   0xFFFF

/* Initializing error in structure */
#define CDERR_STRUCTSIZE       0x0001
#define CDERR_INITIALIZATION   0x0002
#define CDERR_NOTEMPLATE       0x0003
#define CDERR_NOHINSTANCE      0x0004

/* Run-Time Error loading resources */
#define CDERR_LOADSTRFAILURE   0x0005
#define CDERR_FINDRESFAILURE   0x0006
#define CDERR_LOADRESFAILURE   0x0007
#define CDERR_LOCKRESFAILURE   0x0008

/* Run-Time Error Memory Manager    */
#define CDERR_MEMALLOCFAILURE  0x0009
#define CDERR_MEMLOCKFAILURE   0x000A


/* Run-Time Error No Hook Routine   */
#define CDERR_NOHOOK           0x000B

/****************************/
/* Print Dialog Error Codes */
/****************************/

#define PDERR_PARSEFAILURE     0x1002
#define PDERR_RETDEFFAILURE    0x1003

#define PDERR_LOADDRVFAILURE   0x1004

#define PDERR_GETDEVMODEFAIL   0x1005
#define PDERR_NODEVICES        0x1007
#define PDERR_NODEFAULTPRN     0x1008

#define PDERR_PRINTERNOTFOUND  0x100B

#define PDERR_CREATEICFAILURE  0x100A

#ifndef PDERR_DNDMMISMATCH    
#  define PDERR_DNDMMISMATCH     0x1009
#endif
#ifndef PDERR_DEFAULTDIFFERENT
#  define PDERR_DEFAULTDIFFERENT 0x100C
#endif

/****************************/
/* Choose Font Error Codes  */
/****************************/

#define CFERR_MAXLESSTHANMIN   0x2002

#endif /* cderr__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: cderr.h,v $
** Revision 1.3  1999/07/12 21:13:43  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/



