/*--------------------------------------------------------------------------
**      OEM.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	include/OEM.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/OEM.h,v 1.1 1999/07/15 17:56:55 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/




#ifndef OEM__h
#define OEM__h


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


typedef struct tagHSMT_OEMENTRYTAB
{
    LPSTR	name;        /* entry point name */
                        /* will be NULL to indicate end of entry table */
    long int	(*fun)();  /* pointer to C-callable conversion routine */
} HSMT_OEMENTRYTAB;

typedef struct tagHSMT_OEMMODTAB
{
    struct tabHSMT_OEMMODTAB *next;        	/* linked list of tables */
    LPSTR		      name;        	/* module name */
    HSMT_OEMENTRYTAB	     *hsmt_OEMEntry;	/* OEM table for dll */
} HSMT_OEMMODTAB;
#endif /* OEM__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: OEM.h,v $
** Revision 1.1  1999/07/15 17:56:55  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.2  1999/07/12 21:13:43  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
