/*--------------------------------------------------------------------------
**      WinMalloc.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	include/WinMalloc.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/WinMalloc.h,v 1.1 1999/07/15 17:56:55 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/




#ifndef WinMalloc__h
#define WinMalloc__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/*
 *	WinMallocInfo 
 *	tool to examine the WinMalloc history.
 *
 *	WinMallocInfo(opcode , string, type , handle )
 * 
 *	opcodes
 *		one of the operations available
 *		0	dump winmalloc info
 *		1	how much has been winmalloced so far -
 *			how much has been freed
 *	type
 *		one of the types of memory allocation
 *		0	unknown allocation type
 *		1	persistent (will not be freed)
 *		2	transient, (allocated/freed short term)
 *		3	library object, with handle defined
 *		4	globalalloc object,with handle
 *		5	internal use by library, not persistent	
 *		6	dll allocation
 *		7	driver allocation
 */ 

/* opcodes */
#define	WMI_DUMP	0
#define WMI_STAT	1
#define WMI_TAG		2
#define WMI_CHECK	3

#ifdef WINMALLOC_CHECK

#define WINMALLOCINFO(a,b,c,d)	WinMallocInfo(a,b,c,d)

#else

#define WINMALLOCINFO(a,b,c,d)	

#endif

long WinMallocInfo(int , char * ,int , int );

extern void TWIN_DeleteStockObjects();
extern void TWIN_DumpGdiObjects();
extern void TWIN_HandleCleanup();
extern void TWIN_FreeAllMemory();


#endif /* WinMalloc__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: WinMalloc.h,v $
** Revision 1.1  1999/07/15 17:56:55  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.2  1999/07/12 21:13:43  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
