/*--------------------------------------------------------------------------
**      mtlock.h                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	include/mtlock.h
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/mtlock.h,v 1.2 1999/12/09 07:56:13 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef _MTLOCK_H_
#define _MTLOCK_H_

#include "osdll.h"

#define _MTLOCK_TABLE	0
#define _MTLOCK_WIN16   1
#define _MTLOCK_VIDEO	2
#define _MTLOCK_QUEUE	3
#define _MTLOCK_THREAD  4
#define _MTLOCK_WINDOW  5
#define _MTLOCK_PROCESS 6
#define _MTLOCK_MEMORY  7

#define _NMTLOCKS _MTLOCK_MEMORY+1

void TWIN_EnterSection(int ,char *,int );
void TWIN_LeaveSection(int );

#define LOCK_SECTION(id)	TWIN_EnterSection(id,__FILE__,__LINE__);
#define UNLOCK_SECTION(id)	TWIN_LeaveSection(id);
void twin_assert(int val,char *,int);

#define INLINE inline

INLINE static void acquire(DWORD *SpinLock)
{
        int pid = getpid();
        while(InterlockedCompareExchange(SpinLock,pid,0))
                 osdll_thread_yield();
}

INLINE static void release(DWORD *SpinLock)
{
	*SpinLock = 0;
}

#define TWIN_ASSERT(c)		
#ifdef  TWIN_DEBUG
#define TWIN_ASSERT(c)		twin_assert(c,__FILE__,__LINE__)
#endif
#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: mtlock.h,v $
** Revision 1.2  1999/12/09 07:56:13  robf
** define INLINE for gcc
**
** Revision 1.1  1999/07/15 17:56:56  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.4  1999/07/13 20:17:06  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/
