/*--------------------------------------------------------------------------
**      fn_38.c                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/fn_38.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/fn_38.c,v 1.2 1999/07/08 21:30:38 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "platform.h"
#include "xdos.h"
#include "dosdefn.h"

unsigned long error_code(unsigned int);

static char country_info_block[32] = { 
				0x00, 0x00, 0x24, 0x00, 0x00, 0x00, 0x00, 0x2c, 
				0x00, 0x2e, 0x00, 0x2d, 0x00, 0x3a, 0x00, 0x00, 
				0x02, 0x00, 0x6c, 0x17, 0x70, 0x02, 0x2c, 0x00, 
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
				};

unsigned int 
country_info( int code, char *info )
{
	int	i;
	unsigned int maj_ver;

	maj_ver = (GetVersion() >> 24) & 0xff;
	switch (maj_ver) {
	    case 2:
		if (code != 0)	/* code must be 0 for dos 2.10 */
			return (error_code (FILE_NOT_FOUND));
		if (info == NULL)
			return (error_code (FILE_NOT_FOUND));
		info[0] = 0;	/* use standard h:m:s m/d/y */
		info[1] = 0;
		info[2] = '$';	/* currency symbol */
		info[3] = 0;
		info[4] = ',';	/* thousands separator */
		info[5] = 0;
		info[4] = '.';	/* decimal separator */
		info[5] = 0;
		return NO_ERROR;

	    case 3:
	    case 5:	/* Need to see if DOS 5.0 has more functionality */

		if (info == NULL) {	/* this is set country code */
			if ((code == 0) || (code == 1)) 
				return NO_ERROR;
			return (error_code( INVALID_FUNCTION ));
		}
		else if (code == 0) {
			for (i =0; i < 32; i++)
				info[i] = country_info_block[i];
			return NO_ERROR;
		}
	}
	return (error_code( INVALID_FUNCTION ));
}

/*------------------------- < Full Revision History > ----------------------
** $Log: fn_38.c,v $
** Revision 1.2  1999/07/08 21:30:38  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/
