/*--------------------------------------------------------------------------
**      MCI.c                 Twin           From:  Twin/multimedia
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	multimedia/MCI.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/multimedia/MCI.c,v 1.2 1999/07/13 20:17:11 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"

#ifndef MCIERROR
#define MCIERROR DWORD
#endif

#ifndef MCIDEVICEID
#define MCIDEVICEID UINT
#endif

MCIERROR WINAPI
mciSendCommand(MCIDEVICEID IDDevice, UINT uMsg, DWORD dwCmd, DWORD dwParam)
{
    APISTR((LF_APISTUB,
	"mciSendCommand(MCIDEVICEID=%x,UINT=%x,DWORD=%x,DWORD=%x)\n",
	IDDevice, uMsg, dwCmd, dwParam));
    return 0;
}

MCIERROR WINAPI
mciSendString(LPCTSTR lpszCommand, LPTSTR lpszReturnString, UINT cchReturn, HANDLE hwndCallback)
{
    APISTR((LF_APISTUB,
	"mciSendString(LPCTSTR=%s,LPTSTR=%s,UINT=%x,HANDLE=%x)\n",
	lpszCommand, lpszReturnString, cchReturn, hwndCallback));
    return 0;
}

MCIDEVICEID WINAPI
mciGetDeviceID(LPCTSTR lpszDevice)
{
    APISTR((LF_APISTUB,"mciGetDeviceID(LPCTSTR=%s)",lpszDevice));
    return 0;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: MCI.c,v $
** Revision 1.2  1999/07/13 20:17:11  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/