/*--------------------------------------------------------------------------
**      OleSvr.c                 Twin           From:  Twin/ole
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	ole/OleSvr.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/ole/OleSvr.c,v 1.2 1999/07/13 20:17:14 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "windowsx.h"
#include "ole.h"
#include "Log.h"

static OLESERVER oleserver;
static OLESERVERVTBL vtbl;

OLESTATUS
OleBlockServer(LHSERVER lhsrvr)
{
    APISTR((LF_APISTUB,"OleBlockServer: STUB server %x\n",lhsrvr));
    return OLE_OK;
}

OLESTATUS
OleRegisterServer(LPCSTR lpszClass, LPOLESERVER lpsrvr,
		LHSERVER *lplhserver, HINSTANCE hInst,
		OLE_SERVER_USE srvuse)
{
    APISTR((LF_APISTUB,"OleRegisterServer: STUB class %s inst %x use %d\n",
	lpszClass,hInst,srvuse));

    vtbl = *lpsrvr->lpvtbl;
    oleserver.lpvtbl = &vtbl;

    *lplhserver = 0x100000;

    return OLE_OK;
}

OLESTATUS
OleRegisterServerDoc(LHSERVER lphsrvr, LPCSTR lpszDocName,
			LPOLESERVERDOC lpdoc, LHSERVERDOC *lplhdoc)
{
    APISTR((LF_APISTUB,"OleRegisterServerDoc: STUB server %x doc %s lpdoc %x\n",
	lphsrvr,lpszDocName,lpdoc));
    *lplhdoc = 0x100001;
    return OLE_OK;
}

OLESTATUS
OleRenameServerDoc(LHSERVERDOC lhDoc, LPCSTR lpszDocName)
{
    APISTR((LF_APISTUB,"OleRenameServerDoc: STUB lhdoc %x name %s\n",
	lhDoc,lpszDocName));
    return OLE_OK;
}

OLESTATUS
OleRevertServerDoc(LHSERVERDOC lhdoc)
{
    APISTR((LF_APISTUB,"OleRevertServerDoc: STUB lhdoc %x\n",lhdoc));
    return OLE_OK;
}

OLESTATUS
OleRevokeObject(LPOLECLIENT lpClient)
{
    APISTR((LF_APISTUB,"OleRevokeObject: STUB lpClient %x\n",lpClient));
    return OLE_OK;
}

OLESTATUS
OleRevokeServer(LHSERVER lhServer)
{
    OLESTATUS status = 0;

    APISTR((LF_APISTUB,"OleRevokeServer: STUB lhServer %x\n",lhServer));

    if (lhServer == 0x100000)
	status = oleserver.lpvtbl->Release(&oleserver);

    APISTR((LF_APISTUB,"OleRevokeServer: STUB Release returned %x\n",status));

    return status;
}

OLESTATUS
OleRevokeServerDoc(LHSERVERDOC lhdoc)
{
    APISTR((LF_APISTUB,"OleRevokeServerDoc: STUB lhdoc %x\n",lhdoc));
    return OLE_OK;
}

OLESTATUS
OleSavedServerDoc(LHSERVERDOC lhdoc)
{
    APISTR((LF_APISTUB,"OleSavedServerDoc: STUB lhdoc %x\n",lhdoc));
    return OLE_OK;
}

OLESTATUS
OleUnblockServer(LHSERVER lhsrvr,BOOL *lpfRequest)
{
    APISTR((LF_APISTUB,"OleUnblockServer: STUB server %x, flag addr %x\n",
			lhsrvr,lpfRequest));
	*lpfRequest = FALSE;
    return OLE_OK;
}
DWORD
OleQueryServerVersion()
{
    APISTR((LF_APISTUB, "OleQueryServerVersion\n"));
    return OLE_OK;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: OleSvr.c,v $
** Revision 1.2  1999/07/13 20:17:14  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/
