/*--------------------------------------------------------------------------
**      SvrBin.c                 Twin           From:  Twin/ole
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	ole/SvrBin.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/ole/SvrBin.c,v 1.2 1999/07/13 20:17:14 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#define NOAPIPROTO
#include "windows.h"
#include "Resources.h"
#include "ModTable.h"
#include "Segment.h"
#include "Log.h"

extern long int Trap();

extern long int OleRegisterServer();
extern long int OleRevokeServer();
extern long int OleBlockServer();
extern long int OleUnblockServer();
extern long int OleRegisterServerDoc();
extern long int OleRevokeServerDoc();
extern long int OleRenameServerDoc();

#if defined(TWIN_BIN16)
extern long int IT_REGSERVER();
extern long int IT_REGSERVERDOC();
extern long int IT_1D();
extern long int IT_1D1LP();
extern long int IT_UNBLOCKSERVER();


 /* Interface Segment Image OLESVR: */

static long int (*seg_image_OLESVR_0[])() =
{	/* nil */	0, 0,
	/* 001 */	Trap, 0,
	/* 002 */	IT_REGSERVER,  OleRegisterServer,
	/* 003 */	IT_1D, OleRevokeServer,
	/* 004 */	IT_1D,  OleBlockServer,
	/* 005 */	IT_UNBLOCKSERVER, OleUnblockServer,
	/* 006 */	IT_REGSERVERDOC, OleRegisterServerDoc,
	/* 007 */	IT_1D, OleRevokeServerDoc,
	/* 008 */	IT_1D1LP, OleRenameServerDoc,
	/* 009 */	Trap, 0,
	/* 00a */	Trap, 0,
	/* 00b */	Trap, 0,
	/* 00c */	Trap, 0,
	0
};
#endif

 /* Segment Table OLESVR: */

SEGTAB SegmentTableOLESVR[] =
{	
#if defined(TWIN_BIN16)
	{ (char *) seg_image_OLESVR_0, 96, TRANSFER_CALLBACK, 96, 0, 0 },
#endif
	/* end */	{ 0, 0, 0, 0, 0, 0 }
};

/*------------------------- < Full Revision History > ----------------------
** $Log: SvrBin.c,v $
** Revision 1.2  1999/07/13 20:17:14  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/
