/*--------------------------------------------------------------------------
**      dialogs.c                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/dialogs.c
**
**  Description:Dialog Box Related Functions
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/dialogs.c,v 1.2 1999/07/13 16:39:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "globals.h"
#include "dialogs.h"
#include "twhlprc.h"





/***********************************

**

**  Private File Defines

**

***********************************/





/***********************************

**

**  Private Function Prototypes

**

***********************************/







/***********************************************************************************

**

**                              Shared Functions

**

************************************************************************************/



/*********************************

**

**  "DLG_ABOUT" dialog box procedure.

**

**********************************/

BOOL CALLBACK __export AboutDlgProc( HWND hWnd, UINT wMsg, WPARAM wParam, LPARAM lParam )

{

  switch( wMsg ) 

  {

    case WM_COMMAND:

    {

      switch (wParam) 

      {

        case IDOK: 

        case IDCANCEL:

        {

          if( HIWORD(lParam) == BN_CLICKED )

          {

            EndDialog( hWnd, wParam );

          }

          

          return( TRUE );

        }

      }

      

      return( TRUE );

    }

  }



  /* Return message processed result. */

  return( FALSE );

}




/*------------------------- < Full Revision History > ----------------------
** $Log: dialogs.c,v $
** Revision 1.2  1999/07/13 16:39:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/












