/*--------------------------------------------------------------------------
**      globals.c                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/globals.c
**
**  Description:Functions for Accessing Projects Globals Variables
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/globals.c,v 1.2 1999/07/13 16:39:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



#ifndef GLOBALS_H

#define GLOBALS_H



/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "globals.h"
#include "windows.h"





/*************************************

*

*  Global variables used in this file.

*

**************************************/



static HINSTANCE hLibInst = 0;         /* Instance of the DLL. */

static UINT      WM_WINHELP = 0;       /* Registered window message. */

static UINT      WM_WINDOC = 0;        /* Registered window message. */

static HCURSOR   hHandCursor = NULL;   /* Shared icon resource. */







/******************************  Shared Functions  *************************************/



HCURSOR GetHandCursor( void )

{

  return hHandCursor;

}





void SetHandCursor( HCURSOR hCursor )

{

  hHandCursor = hCursor;

}





HINSTANCE GetLibInst( void )

{

  return hLibInst;

}





void SetLibInst( HINSTANCE hNewLibInst )

{

  hLibInst = hNewLibInst;

}





UINT GetWINDOCMsg( void )

{

  return WM_WINDOC;

}



void SetWINDOCMsg( UINT MsgValue )

{

  WM_WINDOC = MsgValue;

}





UINT GetWINHELPMsg( void )

{

  return WM_WINHELP;

}



void SetWINHELPMsg( UINT MsgValue )

{

  WM_WINHELP = MsgValue;

}





#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: globals.c,v $
** Revision 1.2  1999/07/13 16:39:43  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/