/*--------------------------------------------------------------------------
**      topicdat.h                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/topicdat.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/topicdat.h,v 1.2 1999/07/13 16:39:45 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef TOPICDAT_H

#define TOPICDAT_H



/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>
#include <stdlib.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/







/***********************************

**

**  Shared Defines

**

***********************************/



/* 

** All available topic information.

*/

typedef struct tagTOPICDATA

{

  /* 

  ** The dwBlock, wOffset, and the hHelpFileInfo->szFileName 

  ** can be used to identify which file and topic's data is stored

  ** in this structure.

  */

  DWORD       dwBlockNum;       /* Topic's block number. */

  WORD        wBlockOffset;     /* Topic's offset within its block number. */



  char        szHelpFile[ _MAX_PATH ];  /* Name of help file. */



  HGLOBAL     hHelpFileInfo;    /* Handle to a HLPFILEINFO structure. */

  HGLOBAL     hElementList;     /* Element list for the topic.        */ 

}

TOPICDATA;

typedef TOPICDATA __far * FPTOPICDATA;





/**********************************

**

**  Shared Function Prototypes

**

***********************************/



HGLOBAL __far _pascal AllocTopicData( HWND hMainWnd, char __far * szHelpFilePath, DWORD dwBlockNum, WORD wBlockOffset );

void __far _pascal FreeTopicData( HWND hMainWnd, HGLOBAL hTopicData );



#endif




/*------------------------- < Full Revision History > ----------------------
** $Log: topicdat.h,v $
** Revision 1.2  1999/07/13 16:39:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/


