/*--------------------------------------------------------------------------
**      mdidemo.h                 Twin           From:  Twin/samples/mdidemo
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	samples/mdidemo/mdidemo.h
**
**  Description:
**      MDI Windows Sample Application
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/samples/mdidemo/mdidemo.h,v 1.2 1999/07/14 18:14:21 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



#ifndef _mdidemo_h_
#define _mdidemo_h_

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#ifndef RC_INVOKED
#include <stdlib.h>
#endif

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"

int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
long FAR PASCAL _export FrameWndProc(HWND, UINT, WPARAM, LPARAM);
long FAR PASCAL _export ChildWndProc(HWND, UINT, WPARAM, LPARAM);
BOOL FAR PASCAL _export CloseChildProc(HWND, LONG);

/* # of submenu where windowlist is to be appended */
/* this position can be different depending on the menu used */
#define WLPOS_INITMENU  0
#define WLPOS_MDIMENU   1

/* Menuitems */
#define IDM_NEW         100
#define IDM_ABOUT       101
#define IDM_EXIT        102
#define IDM_CLOSE       103
#define IDM_CASCADE     110
#define IDM_TILE        111
#define IDM_CLOSEALL    112
#define IDM_ARRANGE     113

#define IDM_FIRSTCHILD  200

/* String resource */
#define MDI_APP_TITLE   200
                     
/* icons */                     
#define IDI_WILLOWS     100
                
/* Following is a prototype for an external DLL function. */
void FAR PASCAL ShellAbout(HWND, LPCSTR, LPCSTR, HICON);

#endif  /* _mdidemo_h_ */
                
/*------------------------- < Full Revision History > ----------------------
** $Log: mdidemo.h,v $
** Revision 1.2  1999/07/14 18:14:21  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/