/*--------------------------------------------------------------------------
**      CreateProcess.c                 Twin           From:  Twin/scheduler
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	scheduler/CreateProcess.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/scheduler/CreateProcess.c,v 1.5 1999/12/20 07:20:51 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"
#include "kerndef.h"
#include "Resources.h"
#include "Module.h"
#include "osdll.h"
#include "strings.h"

BOOL
CreateProcess(
    LPCSTR lpApplicationName,
    LPSTR lpCommandLine,
    LPSECURITY_ATTRIBUTES lpProcessAttributes,
    LPSECURITY_ATTRIBUTES lpThreadAttributes,
    BOOL bInheritHandles,
    DWORD dwCreationFlags,
    LPVOID lpEnvironment,
    LPCSTR lpCurrentDirectory,
    LPSTARTUPINFOA lpStartupInfo,
    LPPROCESS_INFORMATION lpProcessInformation
    )
{
	APISTR((LF_APISTUB,"CreateProcess returns 0\n"));
	return 0;
}

char *
envcatstr(char *p,char *env)
{
	strcpy(p,env);
	p = p + lstrlen(env) + 1;
	/* double null terminate */
	*p = 0;

	return p;
}

LPTSTR
GetEnvironmentStrings(VOID)
{
	LPTSTR penv,p;
	APISTR((LF_APICALL,"GetEnvironmentsStrings()\n"));
	penv = (LPTSTR)  WinMalloc(64*1024);

	p = envcatstr(penv,"TMP=c:\\WINDOWS\\TEMP");
	p = envcatstr(p,"TEMP=c:\\WINDOWS\\TEMP");
	p = envcatstr(p,"PROMPT=$p$g");
	p = envcatstr(p,"winbootdir=C:\\WINDOWS");
	p = envcatstr(p,"CMDLINE=WIN");
	p = envcatstr(p,"windir=C:\\WINDOWS");
	p = envcatstr(p,"=C:=C:\\WINDOWS");
	p = envcatstr(p,"PATH=C:\\WINDOWS;C:\\BIN");

	APISTR((LF_APIRET,"GetEnvironmentsStrings: returns %p\n",penv));
	return penv;
}

BOOL 
FreeEnvironmentStrings(
    LPTSTR lpszEnvironmentBlock	// pointer to a block of environment strings
   )
{
	APISTR((LF_APICALL,"FreeEnvironmentsStrings(%p)\n",
		lpszEnvironmentBlock));
	WinFree(lpszEnvironmentBlock);
	APISTR((LF_APIRET,"FreeEnvironmentsStrings: returns TRUE\n"));
	return TRUE;
}


LPWSTR
GetEnvironmentStringsW(VOID)
{
	LPSTR penv = GetEnvironmentStrings();
	LPWSTR pNewString;

	APISTR((LF_APICALL,"GetEnvironmentsStringsW()\n"));
	pNewString = HEAP_strdupAtoW( GetProcessHeap(), 0, penv );
	WinFree(penv);
	APISTR((LF_APIRET,"GetEnvironmentsStringsW: returns %p\n",pNewString));
	return pNewString;
}

BOOL
FreeEnvironmentStringsW(LPTSTR penv)
{
	APISTR((LF_APICALL,"FreeEnvironmentsStringsW(%p)\n",penv));
	HeapFree(GetProcessHeap(),0,penv);
	APISTR((LF_APIRET,"FreeEnvironmentsStringsW: returns TRUE\n"));
	return TRUE;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: CreateProcess.c,v $
** Revision 1.5  1999/12/20 07:20:51  robf
** added initial environment block for GetEnvironmentStrings
**
** Revision 1.4  1999/12/17 17:28:15  jwhite
** Implemented stub of _EH_prolog, implemented GetStringTypeW, LCMapStringW.
**
** Revision 1.3  1999/12/14 17:46:54  robf
** getenvironmentw
**
** Revision 1.2  1999/07/13 20:17:37  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/
