/*--------------------------------------------------------------------------
**      define.h                 Twin           From:  Twin/tools/rc
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	tools/rc/define.h
**
**  Description:prototypes and definitions for rc #define support
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/tools/rc/define.h,v 1.2 1999/07/13 20:17:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

typedef struct tagDEFINESTRUCT
{
  struct tagDEFINESTRUCT *less;
  struct tagDEFINESTRUCT *more;
  char *key;
  char *value;
} DEFINESTRUCT;

extern DEFINESTRUCT **defineTop;

DEFINESTRUCT *create_define(char *key);
char *match_define(char *key);
void define_define(char *key, char *value);
void undefine_define(char *key);
void delete_define(DEFINESTRUCT *pDefine);
void clean_defines(void);

/*------------------------- < Full Revision History > ----------------------
** $Log: define.h,v $
** Revision 1.2  1999/07/13 20:17:41  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/