/*--------------------------------------------------------------------------
**      ConvertArray.c                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/ConvertArray.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/ConvertArray.c,v 1.2 1999/07/09 21:55:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Endian.h"

/* exported functions */
LPWORD hsw_ConvertWordArray(LPBYTE,int);
LPINT  hsw_ConvertArrayToInt(LPBYTE, int);
LPWORD hsw_ConvertArrayToWord(LPBYTE,int);

LPWORD
hsw_ConvertWordArray(LPBYTE lpStr,int nCount)
{
	static int nArraySize;
	static WORD *lpArray;
	int n;

	if(nArraySize < nCount) {
	    if(lpArray)
		lpArray = (LPWORD)WinRealloc((LPSTR)lpArray,nCount*2);
	    else
		lpArray = (LPWORD)WinMalloc(nCount*2);
	    if(lpArray == 0)
		return 0;
	    nArraySize  = nCount;
	}
	for(n=0;n<nCount;n++) 
	    lpArray[n] = GETWORD(lpStr+2*n);

	return lpArray;
}

LPINT
hsw_ConvertArrayToInt(LPBYTE lpStr,int nCount)
{
	static int nArraySize;
	static LPINT lpArray;
	int n;

	if(nArraySize < nCount) {
	    if(lpArray)
		lpArray = (LPINT)WinRealloc((LPSTR)lpArray,
					nCount*sizeof(int));
	    else
		lpArray = (LPINT)WinMalloc(nCount*sizeof(int));
	    if(lpArray == 0)
		return 0;
	    nArraySize  = nCount;
	}
	for(n=0;n<nCount;n++) 
	    lpArray[n] = (int)GETSHORT(lpStr+2*n);

	return lpArray;
}

LPWORD
hsw_ConvertArrayToWord(LPBYTE lpStr,int nCount)
{
	static int nArraySize;
	static LPWORD lpArray;
	LPINT lpInt;
	int n;

	if(nArraySize < nCount) {
	    if(lpArray)
		lpArray = (LPWORD)WinRealloc((LPSTR)lpArray,
					nCount*sizeof(WORD));
	    else
		lpArray = (LPWORD)WinMalloc(nCount*sizeof(WORD));
	    if(lpArray == 0)
		return 0;
	    nArraySize  = nCount;
	}
	lpInt = (LPINT)lpStr;
	for(n=0;n<nCount;n++) 
	    PUTWORD(&lpArray[n],(WORD)lpInt[n]);

	return lpArray;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: ConvertArray.c,v $
** Revision 1.2  1999/07/09 21:55:39  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
