/*--------------------------------------------------------------------------
**      DisplayClipping.c                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/DisplayClipping.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/DisplayClipping.c,v 1.2 1999/07/09 21:55:40 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"

#include "GdiDC.h"
#include "GdiRegions.h"
#include "Log.h"
#include "Driver.h"
#include "DeviceData.h"

DWORD
lsd_display_getclipbox(WORD msg, HDC32 hDC32,
		DWORD dwParam, LPLSDS_PARAMS lpStruct)
{
    REGION32    Rgn32Clip;
    LPRECT lpRect = &lpStruct->lsde.rect;

    if ((Rgn32Clip = (REGION32)DRVCALL_DC(PDCH_GETCLIP,
		0L,0L,hDC32->lpDrvData)))
	return DRVCALL_REGIONS(PRH_REGIONBOX,Rgn32Clip,0,lpRect);
    else {
	/* No clipping region exists */
	if (hDC32->hWnd)
	    GetClientRect(hDC32->hWnd,lpRect);
	else
	    SetRect(lpRect,0,0,
		(int)DRVCALL_GRAPHICS(PGH_GETDEVICECAPS,hDC32->lpDrvData,
			HORZRES,0),
		(int)DRVCALL_GRAPHICS(PGH_GETDEVICECAPS,hDC32->lpDrvData,
			VERTRES,0));
	return SIMPLEREGION;
    }
}

DWORD
lsd_display_getcliprgn(WORD msg, HDC32 hDC32,
		DWORD dwParam, LPLSDS_PARAMS lpStruct)
{
    HRGN hRgn = lpStruct->lsde.region;
    REGION32 Rgn32,Rgn32Clip;

    if (!(Rgn32 = TWIN_InternalGetRegionData(hRgn)))
	return -1;

    if ((Rgn32Clip = (REGION32)DRVCALL_DC(PDCH_GETCLIP,
			0L,0L,hDC32->lpDrvData))) {
	(void)DRVCALL_REGIONS(PRH_COPYREGION,Rgn32Clip,Rgn32,0);
	return 1;
    }
    else {
	(void)DRVCALL_REGIONS(PRH_SETREGIONEMPTY,Rgn32,0,0);
	return 0;
    }
}

/*------------------------- < Full Revision History > ----------------------
** $Log: DisplayClipping.c,v $
** Revision 1.2  1999/07/09 21:55:40  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
