/*--------------------------------------------------------------------------
**      DisplayDC.c                Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/DisplayDC.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/DisplayDC.c,v 1.3 1999/07/09 21:55:40 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "GdiDC.h"
#include "Driver.h"

DWORD
lsd_display_createdc(WORD msg, HDC32 hDC32,
		DWORD dwParam, LPVOID lpStruct)
{
    /* calling the driver with NULL in the last parameter indicates */
    /* that the DC created is not associated with any specific window */

    if ((hDC32->lpDrvData = (LPVOID)DRVCALL_DC(PDCH_CREATE,
			hDC32->dwDCXFlags,0L,NULL))) {
	return 1L;
    } else
	return 0L;
}

DWORD
lsd_display_deletedc(WORD msg, HDC32 hDC32,
		DWORD dwParam, LPVOID lpStruct)
{
    return DRVCALL_DC(PDCH_DELETE,0L,0L,hDC32->lpDrvData);
}

DWORD
lsd_display_savedc(WORD msg, HDC32 hDC32,
		DWORD dwParam, LPVOID lpStruct)
{
    if (!hDC32->lpSavedDC)
	return 0L;

    /* Driver call will create and return a copy of internal */
    /* driver-specific data in the saved DC   */

    if (!(hDC32->lpDrvData = (LPVOID)DRVCALL_DC(PDCH_SAVE,0L,0L,
		hDC32->lpSavedDC->lpDrvData)))
	return 0L;

    return 1L;
}

DWORD
lsd_display_restoredc(WORD msg, HDC32 hDC32,
		DWORD dwParam, LPVOID lpStruct)
{
    /* Driver call will deallocate the driver-specific data in the DC;  */
    /* if dwParam is set, it is a second DCINFO struct to take driverdata */
    /* from and pass to the driver */

    return DRVCALL_DC(PDCH_RESTORE,
		((dwParam)?((HDC32)dwParam)->lpDrvData:0L),
		0L,     /* not used */
		hDC32->lpDrvData);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: DisplayDC.c,v $
** Revision 1.3  1999/07/09 21:55:40  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
