/*--------------------------------------------------------------------------
**      Exec.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Exec.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Exec.h,v 1.2 1999/07/09 21:55:40 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef Exec__h
#define Exec__h

struct TWIN_i386_context_s
{
    unsigned short gs, __gsh;
    unsigned short fs, __fsh;
    unsigned short es, __esh;
    unsigned short ds, __dsh;
    unsigned long edi;
    unsigned long esi;
    unsigned long ebp;
    unsigned long esp;
    unsigned long ebx;
    unsigned long edx;
    unsigned long ecx;
    unsigned long eax;
    unsigned long trapno;
    unsigned long err;
    unsigned long eip;
    unsigned short cs, __csh;
    unsigned long eflags;
    unsigned long esp_at_signal;
    unsigned short ss, __ssh;
};

#ifndef SI86DSCR
#define SI86DSCR	75
struct ssd {
        unsigned int sel;   /* descriptor selector */
        unsigned int bo;    /* segment base or gate offset */
        unsigned int ls;    /* segment limit or gate selector */
        unsigned int acc1;  /* access byte 5 */
        unsigned int acc2;  /* access bits in byte 6 or gate count */
};
#endif /* SI86DSCR */

int sysi86(int , void *);

int  TWIN_RegisterGPFSignal(int);
void  TWIN_GPFHandler(int, struct TWIN_i386_context_s *);

void TWIN_ValidateSegmentRegisters(struct TWIN_i386_context_s *);

int TWIN_RegisterDebugSignal(int);

void TWIN_DebuggerProc(int,int,void *);

#define DEBUG_TASK(x,y)	TWIN_DebuggerProc(TWIN_DBGCALL,x,y);

#endif /* Exec__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Exec.h,v $
** Revision 1.2  1999/07/09 21:55:40  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
