/*--------------------------------------------------------------------------
**      GdiText.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/GdiText.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/GdiText.h,v 1.2 1999/07/09 21:55:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/ 
#include "ObjEngine.h"

/* Font information structure */
typedef struct tagFONTINFO
  {
    OBJHEAD	ObjHead;	/* generic object header */
    LOGFONT	LogFont;	/* requested LOGFONT */
    int		nDevHeight;	/* physical height of LRF */
    LPNEWTEXTMETRIC lpNTM;	/* textmetric of the last realized font (LRF) */
    LPVOID	lpCharWidths;	/* char widths array of the LRF */
    LPDWORD     lpCachedFont;   /* cached LRF -- pointer to DRVFONTDATA we */
				/* get from DrvRealizeFont (see DrvText.c), */
				/* where the first word is uiFontType */
  } FONTINFO;

typedef FONTINFO *LPFONTINFO;

typedef LPFONTINFO HFONT32;
#define	GETHFONT32	GETFONTINFO
#define	GETHFONT16(h32)	(HFONT)((h32)->ObjHead.hObj)

#define	ASSERT_HFONT(hFont32,hFont,err) { \
		if (!((hFont32) = GETFONTINFO((hFont)))) { \
		    ERRSTR((LF_ERROR,"***ERROR*** bad Font %x\n",(hFont))); \
		    return (err); \
		}}

/*------------------------- < Full Revision History > ----------------------
** $Log: GdiText.h,v $
** Revision 1.2  1999/07/09 21:55:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
