#--------------------------------------------------------------------------
#      static.mak                   Twine           
#              
#------------------------- < License Information > ------------------------
#
#  
#      This file is released under terms of an LGPL.  Readers of 
#  this file may modify or use this source code so long as they make all
#  modifications publically available.  Please refer to TWINE-LICENSE 
#  for further details.
#  
#
#      The original Copyright is in 1999, by CodeWeavers, Inc.
#
#      
#------------------------ < File Content Description > --------------------
#
#  Module:	windows/static.mak
#	
#  Description:
#     This is an extreme hack to allow Twine to be linked statically,
#  which is very occasionally used for binary emulation debugging
#  purposes.
#
#     TODO:  Make shared/static a config choice instead.
#
#  Usage:
#      From your twine/windows directory, you should be able to
#  simply type 
#      make -f static.mak
#  to create an exectuable 'twine-static'.
#    
#------------------------- < Revision Information > -----------------------
# $Header: /twinecvs/src/windows/static.mak,v 1.1 1999/07/29 18:49:53 jwhite Exp $
#
#--------------------------------------------------------------------------






EXTRALIBS =     $(TWINDIR)/msdos/xdos.a \
		$(TWINDIR)/graphics/x11drv/x11.a \
		$(TWINDIR)/scheduler/win32.a \
		$(TWINDIR)/memory/Memory.a \
		$(TWINDIR)/controls/Controls.a \
		$(TWINDIR)/if1632/Bin16.a \
		$(TWINDIR)/graphics/Gdi.a

all:	libtwin32.a libosdll.a static-twine

libtwin32.a:
	ar r libtwin32.a *.o
	ar d libtwin32.a WinMain.o TwinRT.res.o

libosdll.a:
	ar r libosdll.a ../osdll/*.o

static-twine:
	gcc -static -Wall -fwritable-strings -fPIC  -I/home/jwhite/twine/include -I/home/jwhite/twine/include/twine -I.  -I/usr/X11R6/include  -DDEBUG  -DTWINE -D_REENTRANT -DOLE2ANSI -L/home/jwhite/twine/windows  -L/usr/X11R6/lib -o static-twine WinMain.o TwinRT.res.o -ltwin32 $(EXTRALIBS) -lX11 -lm -losdll -ldl -ltwin32

/*------------------------- < Full Revision History > ----------------------
** $Log: static.mak,v $
** Revision 1.1  1999/07/29 18:49:53  jwhite
** Added temporary hack to allow us to build a static version of Twine.
**
**
**-------------------------------------------------------------------------*/

