
#include "Bin32.h"
#include "user32Bin.h"
#include "platform.h"

unsigned long Win32Trap();

MAPTABLE MapTableUSER[] = {
#ifdef TWIN_BIN32

   { /* 0 */ Win32Trap, 0, "" },
   { /* 1 */  IT32_ActivateKeyboardLayout, ActivateKeyboardLayout, "ActivateKeyboardLayout"},
   { /* 2 */  IT32_AdjustWindowRect, AdjustWindowRect, "AdjustWindowRect"},
   { /* 3 */  IT32_AdjustWindowRectEx, AdjustWindowRectEx, "AdjustWindowRectEx"},
   { /* 4 */  IT32_AnyPopup, AnyPopup, "AnyPopup"},
   { /* 5 */  IT32_AppendMenuA, AppendMenu, "AppendMenuA"},
   { /* 6 */  IT32_AppendMenuW, AppendMenuW, "AppendMenuW"},
   { /* 7 */  IT32_ArrangeIconicWindows, ArrangeIconicWindows, "ArrangeIconicWindows"},
   { /* 8 */ Win32Trap, 0, "" },
   { /* 9 */  IT32_BeginDeferWindowPos, BeginDeferWindowPos, "BeginDeferWindowPos"},
   { /* 10 */  IT32_BeginPaint, BeginPaint, "BeginPaint"},
   { /* 11 */  IT32_BringWindowToTop, BringWindowToTop, "BringWindowToTop"},
   { /* 12 */ Win32Trap, 0, "" },
   { /* 13 */ Win32Trap, 0, "" },
   { /* 14 */ Win32Trap, 0, "" },
   { /* 15 */  IT32_CallMsgFilter, CallMsgFilter, "CallMsgFilter"},
   { /* 16 */  IT32_CallMsgFilterA, CallMsgFilter, "CallMsgFilterA"},
   { /* 17 */ Win32Trap, 0, "" },
   { /* 18 */  IT32_CallNextHookEx, CallNextHookEx, "CallNextHookEx"},
   { /* 19 */  IT32_CallWindowProcA, CallWindowProc, "CallWindowProcA"},
   { /* 20 */ Win32Trap, 0, "" },
   { /* 21 */  IT32_CascadeChildWindows, CascadeChildWindows, "CascadeChildWindows"},
   { /* 22 */  IT32_CascadeWindows, CascadeWindows, "CascadeWindows"},
   { /* 23 */  IT32_ChangeClipboardChain, ChangeClipboardChain, "ChangeClipboardChain"},
   { /* 24 */ Win32Trap, 0, "" },
   { /* 25 */ Win32Trap, 0, "" },
   { /* 26 */ Win32Trap, 0, "" },
   { /* 27 */ Win32Trap, 0, "" },
   { /* 28 */  IT32_ChangeMenuA, ChangeMenu, "ChangeMenuA"},
   { /* 29 */ Win32Trap, 0, "" },
   { /* 30 */  IT32_CharLowerA, CharLower, "CharLowerA"},
   { /* 31 */  IT32_CharLowerBuffA, CharLowerBuff, "CharLowerBuffA"},
   { /* 32 */ Win32Trap, 0, "" },
   { /* 33 */ Win32Trap, 0, "" },
   { /* 34 */  IT32_CharNextA, CharNext, "CharNextA"},
   { /* 35 */  IT32_CharNextExA, CharNextEx, "CharNextExA"},
   { /* 36 */  IT32_CharNextW, CharNextW, "CharNextW"},
   { /* 37 */  IT32_CharPrevA, CharPrev, "CharPrevA"},
   { /* 38 */  IT32_CharPrevExA, CharPrevEx, "CharPrevExA"},
   { /* 39 */  IT32_CharPrevW, CharPrevW, "CharPrevW"},
   { /* 40 */  IT32_CharToOemA, CharToOem, "CharToOemA"},
   { /* 41 */ Win32Trap, 0, "" },
   { /* 42 */ Win32Trap, 0, "" },
   { /* 43 */ Win32Trap, 0, "" },
   { /* 44 */  IT32_CharUpperA, CharUpper, "CharUpperA"},
   { /* 45 */  IT32_CharUpperBuffA, CharUpperBuff, "CharUpperBuffA"},
   { /* 46 */ Win32Trap, 0, "" },
   { /* 47 */  IT32_CharUpperW, CharUpperW, "CharUpperW"},
   { /* 48 */  IT32_CheckDlgButton, CheckDlgButton, "CheckDlgButton"},
   { /* 49 */  IT32_CheckMenuItem, CheckMenuItem, "CheckMenuItem"},
   { /* 50 */  IT32_CheckMenuRadioItem, CheckMenuRadioItem, "CheckMenuRadioItem"},
   { /* 51 */  IT32_CheckRadioButton, CheckRadioButton, "CheckRadioButton"},
   { /* 52 */  IT32_ChildWindowFromPoint, ChildWindowFromPoint, "ChildWindowFromPoint"},
   { /* 53 */  IT32_ChildWindowFromPointEx, ChildWindowFromPointEx, "ChildWindowFromPointEx"},
   { /* 54 */ Win32Trap, 0, "" },
   { /* 55 */  IT32_ClientToScreen, ClientToScreen, "ClientToScreen"},
   { /* 56 */  IT32_ClipCursor, ClipCursor, "ClipCursor"},
   { /* 57 */  IT32_CloseClipboard, CloseClipboard, "CloseClipboard"},
   { /* 58 */ Win32Trap, 0, "" },
   { /* 59 */  IT32_CloseWindow, CloseWindow, "CloseWindow"},
   { /* 60 */ Win32Trap, 0, "" },
   { /* 61 */  IT32_CopyAcceleratorTableA, CopyAcceleratorTable, "CopyAcceleratorTableA"},
   { /* 62 */ Win32Trap, 0, "" },
   { /* 63 */  IT32_CopyIcon, CopyIcon, "CopyIcon"},
   { /* 64 */ Win32Trap, 0, "" },
   { /* 65 */  IT32_CopyRect, CopyRect, "CopyRect"},
   { /* 66 */  IT32_CountClipboardFormats, CountClipboardFormats, "CountClipboardFormats"},
   { /* 67 */ Win32Trap, 0, "" },
   { /* 68 */ Win32Trap, 0, "" },
   { /* 69 */  IT32_CreateCaret, CreateCaret, "CreateCaret"},
   { /* 70 */  IT32_CreateCursor, CreateCursor, "CreateCursor"},
   { /* 71 */ Win32Trap, 0, "" },
   { /* 72 */ Win32Trap, 0, "" },
   { /* 73 */  IT32_CreateDialogIndirectParamA, CreateDialogIndirectParam, "CreateDialogIndirectParamA"},
   { /* 74 */  IT32_CreateDialogIndirectParamAorW, CreateDialogIndirectParam, "CreateDialogIndirectParamAorW"},
   { /* 75 */ Win32Trap, 0, "" },
   { /* 76 */  IT32_CreateDialogParamA, CreateDialogParam, "CreateDialogParamA"},
   { /* 77 */  IT32_CreateDialogParamW, CreateDialogParamW, "CreateDialogParamW"},
   { /* 78 */  IT32_CreateIcon, CreateIcon, "CreateIcon"},
   { /* 79 */  IT32_CreateIconFromResource, CreateIconFromResource, "CreateIconFromResource"},
   { /* 80 */ Win32Trap, 0, "" },
   { /* 81 */  IT32_CreateIconIndirect, CreateIconIndirect, "CreateIconIndirect"},
   { /* 82 */ Win32Trap, 0, "" },
   { /* 83 */ Win32Trap, 0, "" },
   { /* 84 */  IT32_CreateMenu, CreateMenu, "CreateMenu"},
   { /* 85 */  IT32_CreatePopupMenu, CreatePopupMenu, "CreatePopupMenu"},
   { /* 86 */  IT32_CreateWindowExA, CreateWindowEx, "CreateWindowExA"},
   { /* 87 */  IT32_CreateWindowExW, CreateWindowExW, "CreateWindowExW"},
   { /* 88 */ Win32Trap, 0, "" },
   { /* 89 */ Win32Trap, 0, "" },
   { /* 90 */ Win32Trap, 0, "" },
   { /* 91 */ Win32Trap, 0, "" },
   { /* 92 */ Win32Trap, 0, "" },
   { /* 93 */ Win32Trap, 0, "" },
   { /* 94 */ Win32Trap, 0, "" },
   { /* 95 */ Win32Trap, 0, "" },
   { /* 96 */ Win32Trap, 0, "" },
   { /* 97 */ Win32Trap, 0, "" },
   { /* 98 */  IT32_DdeCreateStringHandleA, DdeCreateStringHandle, "DdeCreateStringHandleA"},
   { /* 99 */ Win32Trap, 0, "" },
   { /* 100 */ Win32Trap, 0, "" },
   { /* 101 */ Win32Trap, 0, "" },
   { /* 102 */ Win32Trap, 0, "" },
   { /* 103 */ Win32Trap, 0, "" },
   { /* 104 */ Win32Trap, 0, "" },
   { /* 105 */ Win32Trap, 0, "" },
   { /* 106 */ Win32Trap, 0, "" },
   { /* 107 */ Win32Trap, 0, "" },
   { /* 108 */ Win32Trap, 0, "" },
   { /* 109 */  IT32_DdeInitializeA, DdeInitialize, "DdeInitializeA"},
   { /* 110 */ Win32Trap, 0, "" },
   { /* 111 */ Win32Trap, 0, "" },
   { /* 112 */  IT32_DdeNameService, DdeNameService, "DdeNameService"},
   { /* 113 */ Win32Trap, 0, "" },
   { /* 114 */ Win32Trap, 0, "" },
   { /* 115 */ Win32Trap, 0, "" },
   { /* 116 */  IT32_DdeQueryStringA, DdeQueryString, "DdeQueryStringA"},
   { /* 117 */ Win32Trap, 0, "" },
   { /* 118 */ Win32Trap, 0, "" },
   { /* 119 */ Win32Trap, 0, "" },
   { /* 120 */ Win32Trap, 0, "" },
   { /* 121 */ Win32Trap, 0, "" },
   { /* 122 */  IT32_DdeUninitialize, DdeUninitialize, "DdeUninitialize"},
   { /* 123 */  IT32_DefDlgProcA, DefDlgProc, "DefDlgProcA"},
   { /* 124 */  IT32_DefDlgProcW, DefDlgProcW, "DefDlgProcW"},
   { /* 125 */  IT32_DefFrameProcA, DefFrameProc, "DefFrameProcA"},
   { /* 126 */ Win32Trap, 0, "" },
   { /* 127 */ Win32Trap, 0, "" },
   { /* 128 */ Win32Trap, 0, "" },
   { /* 129 */  IT32_DefWindowProcA, DefWindowProc, "DefWindowProcA"},
   { /* 130 */  IT32_DefWindowProcW, DefWindowProcW, "DefWindowProcW"},
   { /* 131 */  IT32_DeferWindowPos, DeferWindowPos, "DeferWindowPos"},
   { /* 132 */  IT32_DeleteMenu, DeleteMenu, "DeleteMenu"},
   { /* 133 */ Win32Trap, 0, "" },
   { /* 134 */ Win32Trap, 0, "" },
   { /* 135 */  IT32_DestroyCaret, DestroyCaret, "DestroyCaret"},
   { /* 136 */  IT32_DestroyCursor, DestroyCursor, "DestroyCursor"},
   { /* 137 */  IT32_DestroyIcon, DestroyIcon, "DestroyIcon"},
   { /* 138 */  IT32_DestroyMenu, DestroyMenu, "DestroyMenu"},
   { /* 139 */  IT32_DestroyWindow, DestroyWindow, "DestroyWindow"},
   { /* 140 */ Win32Trap, 0, "" },
   { /* 141 */ Win32Trap, 0, "" },
   { /* 142 */ Win32Trap, 0, "" },
   { /* 143 */  IT32_DialogBoxParamA, DialogBoxParam, "DialogBoxParamA"},
   { /* 144 */  IT32_DialogBoxParamW, DialogBoxParamW, "DialogBoxParamW"},
   { /* 145 */  IT32_DispatchMessageA, DispatchMessage, "DispatchMessageA"},
   { /* 146 */  IT32_DispatchMessageW, DispatchMessageW, "DispatchMessageW"},
   { /* 147 */ Win32Trap, 0, "" },
   { /* 148 */ Win32Trap, 0, "" },
   { /* 149 */ Win32Trap, 0, "" },
   { /* 150 */ Win32Trap, 0, "" },
   { /* 151 */ Win32Trap, 0, "" },
   { /* 152 */ Win32Trap, 0, "" },
   { /* 153 */ Win32Trap, 0, "" },
   { /* 154 */ Win32Trap, 0, "" },
   { /* 155 */ Win32Trap, 0, "" },
   { /* 156 */ Win32Trap, 0, "" },
   { /* 157 */ Win32Trap, 0, "" },
   { /* 158 */  IT32_DrawCaption, DrawCaption, "DrawCaption"},
   { /* 159 */ Win32Trap, 0, "" },
   { /* 160 */ Win32Trap, 0, "" },
   { /* 161 */  IT32_DrawEdge, DrawEdge, "DrawEdge"},
   { /* 162 */  IT32_DrawFocusRect, DrawFocusRect, "DrawFocusRect"},
   { /* 163 */ Win32Trap, 0, "" },
   { /* 164 */  IT32_DrawFrameControl, DrawFrameControl, "DrawFrameControl"},
   { /* 165 */  IT32_DrawIcon, DrawIcon, "DrawIcon"},
   { /* 166 */  IT32_DrawIconEx, DrawIconEx, "DrawIconEx"},
   { /* 167 */  IT32_DrawMenuBar, DrawMenuBar, "DrawMenuBar"},
   { /* 168 */ Win32Trap, 0, "" },
   { /* 169 */ Win32Trap, 0, "" },
   { /* 170 */ Win32Trap, 0, "" },
   { /* 171 */  IT32_DrawTextA, DrawText, "DrawTextA"},
   { /* 172 */ Win32Trap, 0, "" },
   { /* 173 */ Win32Trap, 0, "" },
   { /* 174 */  IT32_DrawTextW, DrawTextW, "DrawTextW"},
   { /* 175 */ Win32Trap, 0, "" },
   { /* 176 */  IT32_EmptyClipboard, EmptyClipboard, "EmptyClipboard"},
   { /* 177 */  IT32_EnableMenuItem, EnableMenuItem, "EnableMenuItem"},
   { /* 178 */  IT32_EnableScrollBar, EnableScrollBar, "EnableScrollBar"},
   { /* 179 */  IT32_EnableWindow, EnableWindow, "EnableWindow"},
   { /* 180 */  IT32_EndDeferWindowPos, EndDeferWindowPos, "EndDeferWindowPos"},
   { /* 181 */  IT32_EndDialog, EndDialog, "EndDialog"},
   { /* 182 */ Win32Trap, 0, "" },
   { /* 183 */  IT32_EndPaint, EndPaint, "EndPaint"},
   { /* 184 */ Win32Trap, 0, "" },
   { /* 185 */  IT32_EnumChildWindows, EnumChildWindows, "EnumChildWindows"},
   { /* 186 */  IT32_EnumClipboardFormats, EnumClipboardFormats, "EnumClipboardFormats"},
   { /* 187 */ Win32Trap, 0, "" },
   { /* 188 */ Win32Trap, 0, "" },
   { /* 189 */ Win32Trap, 0, "" },
   { /* 190 */ Win32Trap, 0, "" },
   { /* 191 */ Win32Trap, 0, "" },
   { /* 192 */ Win32Trap, 0, "" },
   { /* 193 */ Win32Trap, 0, "" },
   { /* 194 */ Win32Trap, 0, "" },
   { /* 195 */ Win32Trap, 0, "" },
   { /* 196 */ Win32Trap, 0, "" },
   { /* 197 */ Win32Trap, 0, "" },
   { /* 198 */  IT32_EnumThreadWindows, EnumThreadWindows, "EnumThreadWindows"},
   { /* 199 */ Win32Trap, 0, "" },
   { /* 200 */ Win32Trap, 0, "" },
   { /* 201 */  IT32_EnumWindows, EnumWindows, "EnumWindows"},
   { /* 202 */  IT32_EqualRect, EqualRect, "EqualRect"},
   { /* 203 */  IT32_ExcludeUpdateRgn, ExcludeUpdateRgn, "ExcludeUpdateRgn"},
   { /* 204 */ Win32Trap, 0, "" },
   { /* 205 */  IT32_FillRect, FillRect, "FillRect"},
   { /* 206 */  IT32_FindWindowA, FindWindow, "FindWindowA"},
   { /* 207 */  IT32_FindWindowExA, FindWindowEx, "FindWindowExA"},
   { /* 208 */  IT32_FindWindowExW, FindWindowExW, "FindWindowExW"},
   { /* 209 */  IT32_FindWindowW, FindWindowW, "FindWindowW"},
   { /* 210 */  IT32_FlashWindow, FlashWindow, "FlashWindow"},
   { /* 211 */  IT32_FrameRect, FrameRect, "FrameRect"},
   { /* 212 */ Win32Trap, 0, "" },
   { /* 213 */ Win32Trap, 0, "" },
   { /* 214 */  IT32_GetActiveWindow, GetActiveWindow, "GetActiveWindow"},
   { /* 215 */  IT32_GetAppCompatFlags, GetAppCompatFlags, "GetAppCompatFlags"},
   { /* 216 */  IT32_GetAsyncKeyState, GetAsyncKeyState, "GetAsyncKeyState"},
   { /* 217 */  IT32_GetCapture, GetCapture, "GetCapture"},
   { /* 218 */  IT32_GetCaretBlinkTime, GetCaretBlinkTime, "GetCaretBlinkTime"},
   { /* 219 */  IT32_GetCaretPos, GetCaretPos, "GetCaretPos"},
   { /* 220 */  IT32_GetClassInfoA, GetClassInfo, "GetClassInfoA"},
   { /* 221 */  IT32_GetClassInfoExA, GetClassInfoEx, "GetClassInfoExA"},
   { /* 222 */ Win32Trap, 0, "" },
   { /* 223 */ Win32Trap, 0, "" },
   { /* 224 */  IT32_GetClassLongA, GetClassLong, "GetClassLongA"},
   { /* 225 */ Win32Trap, 0, "" },
   { /* 226 */  IT32_GetClassNameA, GetClassName, "GetClassNameA"},
   { /* 227 */ Win32Trap, 0, "" },
   { /* 228 */  IT32_GetClassWord, GetClassWord, "GetClassWord"},
   { /* 229 */  IT32_GetClientRect, GetClientRect, "GetClientRect"},
   { /* 230 */  IT32_GetClipCursor, GetClipCursor, "GetClipCursor"},
   { /* 231 */  IT32_GetClipboardData, GetClipboardData, "GetClipboardData"},
   { /* 232 */ Win32Trap, 0, "" },
   { /* 233 */ Win32Trap, 0, "" },
   { /* 234 */  IT32_GetClipboardOwner, GetClipboardOwner, "GetClipboardOwner"},
   { /* 235 */  IT32_GetClipboardViewer, GetClipboardViewer, "GetClipboardViewer"},
   { /* 236 */  IT32_GetCursor, GetCursor, "GetCursor"},
   { /* 237 */ Win32Trap, 0, "" },
   { /* 238 */  IT32_GetCursorPos, GetCursorPos, "GetCursorPos"},
   { /* 239 */  IT32_GetDC, GetDC, "GetDC"},
   { /* 240 */  IT32_GetDCEx, GetDCEx, "GetDCEx"},
   { /* 241 */  IT32_GetDesktopWindow, GetDesktopWindow, "GetDesktopWindow"},
   { /* 242 */  IT32_GetDialogBaseUnits, GetDialogBaseUnits, "GetDialogBaseUnits"},
   { /* 243 */  IT32_GetDlgCtrlID, GetDlgCtrlID, "GetDlgCtrlID"},
   { /* 244 */  IT32_GetDlgItem, GetDlgItem, "GetDlgItem"},
   { /* 245 */  IT32_GetDlgItemInt, GetDlgItemInt, "GetDlgItemInt"},
   { /* 246 */  IT32_GetDlgItemTextA, GetDlgItemText, "GetDlgItemTextA"},
   { /* 247 */ Win32Trap, 0, "" },
   { /* 248 */  IT32_GetDoubleClickTime, GetDoubleClickTime, "GetDoubleClickTime"},
   { /* 249 */  IT32_GetFocus, GetFocus, "GetFocus"},
   { /* 250 */  IT32_GetForegroundWindow, GetForegroundWindow, "GetForegroundWindow"},
   { /* 251 */  IT32_GetIconInfo, GetIconInfo, "GetIconInfo"},
   { /* 252 */ Win32Trap, 0, "" },
   { /* 253 */  IT32_GetInputState, GetInputState, "GetInputState"},
   { /* 254 */ Win32Trap, 0, "" },
   { /* 255 */ Win32Trap, 0, "" },
   { /* 256 */ Win32Trap, 0, "" },
   { /* 257 */ Win32Trap, 0, "" },
   { /* 258 */  IT32_GetKeyState, GetKeyState, "GetKeyState"},
   { /* 259 */  IT32_GetKeyboardLayout, GetKeyboardLayout, "GetKeyboardLayout"},
   { /* 260 */  IT32_GetKeyboardLayoutList, GetKeyboardLayoutList, "GetKeyboardLayoutList"},
   { /* 261 */ Win32Trap, 0, "" },
   { /* 262 */ Win32Trap, 0, "" },
   { /* 263 */  IT32_GetKeyboardState, GetKeyboardState, "GetKeyboardState"},
   { /* 264 */  IT32_GetKeyboardType, GetKeyboardType, "GetKeyboardType"},
   { /* 265 */  IT32_GetLastActivePopup, GetLastActivePopup, "GetLastActivePopup"},
   { /* 266 */  IT32_GetMenu, GetMenu, "GetMenu"},
   { /* 267 */  IT32_GetMenuCheckMarkDimensions, GetMenuCheckMarkDimensions, "GetMenuCheckMarkDimensions"},
   { /* 268 */  IT32_GetMenuContextHelpId, GetMenuContextHelpId, "GetMenuContextHelpId"},
   { /* 269 */ Win32Trap, 0, "" },
   { /* 270 */  IT32_GetMenuItemCount, GetMenuItemCount, "GetMenuItemCount"},
   { /* 271 */  IT32_GetMenuItemID, GetMenuItemID, "GetMenuItemID"},
   { /* 272 */ Win32Trap, 0, "" },
   { /* 273 */ Win32Trap, 0, "" },
   { /* 274 */ Win32Trap, 0, "" },
   { /* 275 */  IT32_GetMenuState, GetMenuState, "GetMenuState"},
   { /* 276 */  IT32_GetMenuStringA, GetMenuString, "GetMenuStringA"},
   { /* 277 */ Win32Trap, 0, "" },
   { /* 278 */  IT32_GetMessageA, GetMessage, "GetMessageA"},
   { /* 279 */ Win32Trap, 0, "" },
   { /* 280 */  IT32_GetMessagePos, GetMessagePos, "GetMessagePos"},
   { /* 281 */  IT32_GetMessageTime, GetMessageTime, "GetMessageTime"},
   { /* 282 */  IT32_GetMessageW, GetMessageW, "GetMessageW"},
   { /* 283 */  IT32_GetNextDlgGroupItem, GetNextDlgGroupItem, "GetNextDlgGroupItem"},
   { /* 284 */  IT32_GetNextDlgTabItem, GetNextDlgTabItem, "GetNextDlgTabItem"},
   { /* 285 */  IT32_GetOpenClipboardWindow, GetOpenClipboardWindow, "GetOpenClipboardWindow"},
   { /* 286 */  IT32_GetParent, GetParent, "GetParent"},
   { /* 287 */  IT32_GetPriorityClipboardFormat, GetPriorityClipboardFormat, "GetPriorityClipboardFormat"},
   { /* 288 */ Win32Trap, 0, "" },
   { /* 289 */ Win32Trap, 0, "" },
   { /* 290 */  IT32_GetPropA, GetProp, "GetPropA"},
   { /* 291 */ Win32Trap, 0, "" },
   { /* 292 */  IT32_GetQueueStatus, GetQueueStatus, "GetQueueStatus"},
   { /* 293 */  IT32_GetScrollInfo, GetScrollInfo, "GetScrollInfo"},
   { /* 294 */  IT32_GetScrollPos, GetScrollPos, "GetScrollPos"},
   { /* 295 */  IT32_GetScrollRange, GetScrollRange, "GetScrollRange"},
   { /* 296 */ Win32Trap, 0, "" },
   { /* 297 */  IT32_GetSubMenu, GetSubMenu, "GetSubMenu"},
   { /* 298 */  IT32_GetSysColor, GetSysColor, "GetSysColor"},
   { /* 299 */  IT32_GetSysColorBrush, GetSysColorBrush, "GetSysColorBrush"},
   { /* 300 */  IT32_GetSystemMenu, GetSystemMenu, "GetSystemMenu"},
   { /* 301 */  IT32_GetSystemMetrics, GetSystemMetrics, "GetSystemMetrics"},
   { /* 302 */  IT32_GetTabbedTextExtentA, GetTabbedTextExtent, "GetTabbedTextExtentA"},
   { /* 303 */ Win32Trap, 0, "" },
   { /* 304 */ Win32Trap, 0, "" },
   { /* 305 */ Win32Trap, 0, "" },
   { /* 306 */  IT32_GetTopWindow, GetTopWindow, "GetTopWindow"},
   { /* 307 */  IT32_GetUpdateRect, GetUpdateRect, "GetUpdateRect"},
   { /* 308 */  IT32_GetUpdateRgn, GetUpdateRgn, "GetUpdateRgn"},
   { /* 309 */ Win32Trap, 0, "" },
   { /* 310 */ Win32Trap, 0, "" },
   { /* 311 */ Win32Trap, 0, "" },
   { /* 312 */  IT32_GetWindow, GetWindow, "GetWindow"},
   { /* 313 */  IT32_GetWindowContextHelpId, GetWindowContextHelpId, "GetWindowContextHelpId"},
   { /* 314 */  IT32_GetWindowDC, GetWindowDC, "GetWindowDC"},
   { /* 315 */  IT32_GetWindowLongA, GetWindowLong, "GetWindowLongA"},
   { /* 316 */  IT32_GetWindowLongW, GetWindowLongW, "GetWindowLongW"},
   { /* 317 */  IT32_GetWindowPlacement, GetWindowPlacement, "GetWindowPlacement"},
   { /* 318 */  IT32_GetWindowRect, GetWindowRect, "GetWindowRect"},
   { /* 319 */  IT32_GetWindowRgn, GetWindowRgn, "GetWindowRgn"},
   { /* 320 */  IT32_GetWindowTextA, GetWindowText, "GetWindowTextA"},
   { /* 321 */  IT32_GetWindowTextLengthA, GetWindowTextLength, "GetWindowTextLengthA"},
   { /* 322 */  IT32_GetWindowTextLengthW, GetWindowTextLengthW, "GetWindowTextLengthW"},
   { /* 323 */  IT32_GetWindowTextW, GetWindowTextW, "GetWindowTextW"},
   { /* 324 */  IT32_GetWindowThreadProcessId, GetWindowThreadProcessId, "GetWindowThreadProcessId"},
   { /* 325 */  IT32_GetWindowWord, GetWindowWord, "GetWindowWord"},
   { /* 326 */ Win32Trap, 0, "" },
   { /* 327 */ Win32Trap, 0, "" },
   { /* 328 */  IT32_HideCaret, HideCaret, "HideCaret"},
   { /* 329 */  IT32_HiliteMenuItem, HiliteMenuItem, "HiliteMenuItem"},
   { /* 330 */ Win32Trap, 0, "" },
   { /* 331 */  IT32_InSendMessage, InSendMessage, "InSendMessage"},
   { /* 332 */  IT32_InflateRect, InflateRect, "InflateRect"},
   { /* 333 */  IT32_InsertMenuA, InsertMenu, "InsertMenuA"},
   { /* 334 */  IT32_InsertMenuItemA, InsertMenuItem, "InsertMenuItemA"},
   { /* 335 */ Win32Trap, 0, "" },
   { /* 336 */ Win32Trap, 0, "" },
   { /* 337 */ Win32Trap, 0, "" },
   { /* 338 */  IT32_IntersectRect, IntersectRect, "IntersectRect"},
   { /* 339 */  IT32_InvalidateRect, InvalidateRect, "InvalidateRect"},
   { /* 340 */  IT32_InvalidateRgn, InvalidateRgn, "InvalidateRgn"},
   { /* 341 */  IT32_InvertRect, InvertRect, "InvertRect"},
   { /* 342 */  IT32_IsCharAlphaA, IsCharAlpha, "IsCharAlphaA"},
   { /* 343 */  IT32_IsCharAlphaNumericA, IsCharAlphaNumeric, "IsCharAlphaNumericA"},
   { /* 344 */ Win32Trap, 0, "" },
   { /* 345 */ Win32Trap, 0, "" },
   { /* 346 */  IT32_IsCharLowerA, IsCharLower, "IsCharLowerA"},
   { /* 347 */ Win32Trap, 0, "" },
   { /* 348 */  IT32_IsCharUpperA, IsCharUpper, "IsCharUpperA"},
   { /* 349 */ Win32Trap, 0, "" },
   { /* 350 */  IT32_IsChild, IsChild, "IsChild"},
   { /* 351 */  IT32_IsClipboardFormatAvailable, IsClipboardFormatAvailable, "IsClipboardFormatAvailable"},
   { /* 352 */  IT32_IsDialogMessage, IsDialogMessage, "IsDialogMessage"},
   { /* 353 */  IT32_IsDialogMessageA, IsDialogMessage, "IsDialogMessageA"},
   { /* 354 */  IT32_IsDialogMessageW, IsDialogMessageW, "IsDialogMessageW"},
   { /* 355 */  IT32_IsDlgButtonChecked, IsDlgButtonChecked, "IsDlgButtonChecked"},
   { /* 356 */ Win32Trap, 0, "" },
   { /* 357 */  IT32_IsIconic, IsIconic, "IsIconic"},
   { /* 358 */  IT32_IsMenu, IsMenu, "IsMenu"},
   { /* 359 */  IT32_IsRectEmpty, IsRectEmpty, "IsRectEmpty"},
   { /* 360 */  IT32_IsWindow, IsWindow, "IsWindow"},
   { /* 361 */  IT32_IsWindowEnabled, IsWindowEnabled, "IsWindowEnabled"},
   { /* 362 */  IT32_IsWindowUnicode, IsWindowUnicode, "IsWindowUnicode"},
   { /* 363 */  IT32_IsWindowVisible, IsWindowVisible, "IsWindowVisible"},
   { /* 364 */  IT32_IsZoomed, IsZoomed, "IsZoomed"},
   { /* 365 */ Win32Trap, 0, "" },
   { /* 366 */  IT32_KillTimer, KillTimer, "KillTimer"},
   { /* 367 */  IT32_LoadAcceleratorsA, LoadAccelerators, "LoadAcceleratorsA"},
   { /* 368 */  IT32_LoadAcceleratorsW, LoadAcceleratorsW, "LoadAcceleratorsW"},
   { /* 369 */  IT32_LoadBitmapA, LoadBitmap, "LoadBitmapA"},
   { /* 370 */ Win32Trap, 0, "" },
   { /* 371 */  IT32_LoadCursorA, LoadCursor, "LoadCursorA"},
   { /* 372 */ Win32Trap, 0, "" },
   { /* 373 */ Win32Trap, 0, "" },
   { /* 374 */  IT32_LoadCursorW, LoadCursorW, "LoadCursorW"},
   { /* 375 */  IT32_LoadIconA, LoadIcon, "LoadIconA"},
   { /* 376 */  IT32_LoadIconW, LoadIconW, "LoadIconW"},
   { /* 377 */  IT32_LoadImageA, LoadImage, "LoadImageA"},
   { /* 378 */  IT32_LoadImageW, LoadImageW, "LoadImageW"},
   { /* 379 */ Win32Trap, 0, "" },
   { /* 380 */ Win32Trap, 0, "" },
   { /* 381 */ Win32Trap, 0, "" },
   { /* 382 */ Win32Trap, 0, "" },
   { /* 383 */  IT32_LoadMenuA, LoadMenu, "LoadMenuA"},
   { /* 384 */ Win32Trap, 0, "" },
   { /* 385 */ Win32Trap, 0, "" },
   { /* 386 */  IT32_LoadMenuW, LoadMenuW, "LoadMenuW"},
   { /* 387 */ Win32Trap, 0, "" },
   { /* 388 */  IT32_LoadStringA, LoadString, "LoadStringA"},
   { /* 389 */  IT32_LoadStringW, LoadStringW, "LoadStringW"},
   { /* 390 */ Win32Trap, 0, "" },
   { /* 391 */  IT32_LockWindowUpdate, LockWindowUpdate, "LockWindowUpdate"},
   { /* 392 */ Win32Trap, 0, "" },
   { /* 393 */ Win32Trap, 0, "" },
   { /* 394 */ Win32Trap, 0, "" },
   { /* 395 */ Win32Trap, 0, "" },
   { /* 396 */  IT32_MapDialogRect, MapDialogRect, "MapDialogRect"},
   { /* 397 */ Win32Trap, 0, "" },
   { /* 398 */ Win32Trap, 0, "" },
   { /* 399 */ Win32Trap, 0, "" },
   { /* 400 */ Win32Trap, 0, "" },
   { /* 401 */  IT32_MapWindowPoints, MapWindowPoints, "MapWindowPoints"},
   { /* 402 */ Win32Trap, 0, "" },
   { /* 403 */ Win32Trap, 0, "" },
   { /* 404 */ Win32Trap, 0, "" },
   { /* 405 */  IT32_MessageBeep, MessageBeep, "MessageBeep"},
   { /* 406 */  IT32_MessageBoxA, MessageBox, "MessageBoxA"},
   { /* 407 */ Win32Trap, 0, "" },
   { /* 408 */ Win32Trap, 0, "" },
   { /* 409 */ Win32Trap, 0, "" },
   { /* 410 */ Win32Trap, 0, "" },
   { /* 411 */  IT32_MessageBoxW, MessageBoxW, "MessageBoxW"},
   { /* 412 */ Win32Trap, 0, "" },
   { /* 413 */ Win32Trap, 0, "" },
   { /* 414 */  IT32_MoveWindow, MoveWindow, "MoveWindow"},
   { /* 415 */  IT32_MsgWaitForMultipleObjects, MsgWaitForMultipleObjects, "MsgWaitForMultipleObjects"},
   { /* 416 */ Win32Trap, 0, "" },
   { /* 417 */ Win32Trap, 0, "" },
   { /* 418 */  IT32_OemToCharA, OemToChar, "OemToCharA"},
   { /* 419 */  IT32_OemToCharBuffA, OemToCharBuff, "OemToCharBuffA"},
   { /* 420 */ Win32Trap, 0, "" },
   { /* 421 */ Win32Trap, 0, "" },
   { /* 422 */  IT32_OffsetRect, OffsetRect, "OffsetRect"},
   { /* 423 */  IT32_OpenClipboard, OpenClipboard, "OpenClipboard"},
   { /* 424 */ Win32Trap, 0, "" },
   { /* 425 */ Win32Trap, 0, "" },
   { /* 426 */  IT32_OpenIcon, OpenIcon, "OpenIcon"},
   { /* 427 */ Win32Trap, 0, "" },
   { /* 428 */ Win32Trap, 0, "" },
   { /* 429 */ Win32Trap, 0, "" },
   { /* 430 */ Win32Trap, 0, "" },
   { /* 431 */ Win32Trap, 0, "" },
   { /* 432 */  IT32_PeekMessageA, PeekMessage, "PeekMessageA"},
   { /* 433 */ Win32Trap, 0, "" },
   { /* 434 */  IT32_PostMessageA, PostMessage, "PostMessageA"},
   { /* 435 */ Win32Trap, 0, "" },
   { /* 436 */  IT32_PostQuitMessage, PostQuitMessage, "PostQuitMessage"},
   { /* 437 */ Win32Trap, 0, "" },
   { /* 438 */ Win32Trap, 0, "" },
   { /* 439 */ Win32Trap, 0, "" },
   { /* 440 */ Win32Trap, 0, "" },
   { /* 441 */ Win32Trap, 0, "" },
   { /* 442 */ Win32Trap, 0, "" },
   { /* 443 */ Win32Trap, 0, "" },
   { /* 444 */  IT32_PtInRect, PtInRect32, "PtInRect"},
   { /* 445 */  IT32_QuerySendMessage, QuerySendMessage, "QuerySendMessage"},
   { /* 446 */  IT32_RedrawWindow, RedrawWindow, "RedrawWindow"},
   { /* 447 */  IT32_RegisterClassA, RegisterClass, "RegisterClassA"},
   { /* 448 */  IT32_RegisterClassExA, RegisterClassEx, "RegisterClassExA"},
   { /* 449 */  IT32_RegisterClassExW, RegisterClassExW, "RegisterClassExW"},
   { /* 450 */  IT32_RegisterClassW, RegisterClassW, "RegisterClassW"},
   { /* 451 */  IT32_RegisterClipboardFormatA, RegisterClipboardFormat, "RegisterClipboardFormatA"},
   { /* 452 */  IT32_RegisterClipboardFormatW, RegisterClipboardFormatW, "RegisterClipboardFormatW"},
   { /* 453 */  IT32_RegisterHotKey, RegisterHotKey, "RegisterHotKey"},
   { /* 454 */ Win32Trap, 0, "" },
   { /* 455 */ Win32Trap, 0, "" },
   { /* 456 */ Win32Trap, 0, "" },
   { /* 457 */ Win32Trap, 0, "" },
   { /* 458 */ Win32Trap, 0, "" },
   { /* 459 */  IT32_RegisterWindowMessageA, RegisterWindowMessage, "RegisterWindowMessageA"},
   { /* 460 */  IT32_RegisterWindowMessageW, RegisterWindowMessageW, "RegisterWindowMessageW"},
   { /* 461 */  IT32_ReleaseCapture, ReleaseCapture, "ReleaseCapture"},
   { /* 462 */  IT32_ReleaseDC, ReleaseDC, "ReleaseDC"},
   { /* 463 */  IT32_RemoveMenu, RemoveMenu, "RemoveMenu"},
   { /* 464 */  IT32_RemovePropA, RemoveProp, "RemovePropA"},
   { /* 465 */ Win32Trap, 0, "" },
   { /* 466 */  IT32_ReplyMessage, ReplyMessage, "ReplyMessage"},
   { /* 467 */  IT32_ReuseDDElParam, ReuseDDElParam, "ReuseDDElParam"},
   { /* 468 */  IT32_ScreenToClient, ScreenToClient, "ScreenToClient"},
   { /* 469 */  IT32_ScrollChildren, ScrollChildren, "ScrollChildren"},
   { /* 470 */  IT32_ScrollDC, ScrollDC, "ScrollDC"},
   { /* 471 */  IT32_ScrollWindow, ScrollWindow, "ScrollWindow"},
   { /* 472 */  IT32_ScrollWindowEx, ScrollWindowEx, "ScrollWindowEx"},
   { /* 473 */  IT32_SendDlgItemMessageA, SendDlgItemMessage, "SendDlgItemMessageA"},
   { /* 474 */  IT32_SendDlgItemMessageW, SendDlgItemMessageW, "SendDlgItemMessageW"},
   { /* 475 */  IT32_SendMessageA, SendMessage, "SendMessageA"},
   { /* 476 */ Win32Trap, 0, "" },
   { /* 477 */ Win32Trap, 0, "" },
   { /* 478 */ Win32Trap, 0, "" },
   { /* 479 */ Win32Trap, 0, "" },
   { /* 480 */  IT32_SendMessageW, SendMessageW, "SendMessageW"},
   { /* 481 */ Win32Trap, 0, "" },
   { /* 482 */ Win32Trap, 0, "" },
   { /* 483 */  IT32_SetActiveWindow, SetActiveWindow, "SetActiveWindow"},
   { /* 484 */  IT32_SetCapture, SetCapture, "SetCapture"},
   { /* 485 */  IT32_SetCaretBlinkTime, SetCaretBlinkTime, "SetCaretBlinkTime"},
   { /* 486 */  IT32_SetCaretPos, SetCaretPos, "SetCaretPos"},
   { /* 487 */  IT32_SetClassLongA, SetClassLong, "SetClassLongA"},
   { /* 488 */ Win32Trap, 0, "" },
   { /* 489 */  IT32_SetClassWord, SetClassWord, "SetClassWord"},
   { /* 490 */  IT32_SetClipboardData, SetClipboardData, "SetClipboardData"},
   { /* 491 */  IT32_SetClipboardViewer, SetClipboardViewer, "SetClipboardViewer"},
   { /* 492 */ Win32Trap, 0, "" },
   { /* 493 */  IT32_SetCursor, SetCursor, "SetCursor"},
   { /* 494 */ Win32Trap, 0, "" },
   { /* 495 */  IT32_SetCursorPos, SetCursorPos, "SetCursorPos"},
   { /* 496 */ Win32Trap, 0, "" },
   { /* 497 */ Win32Trap, 0, "" },
   { /* 498 */  IT32_SetDlgItemInt, SetDlgItemInt, "SetDlgItemInt"},
   { /* 499 */  IT32_SetDlgItemTextA, SetDlgItemText, "SetDlgItemTextA"},
   { /* 500 */  IT32_SetDlgItemTextW, SetDlgItemTextW, "SetDlgItemTextW"},
   { /* 501 */  IT32_SetDoubleClickTime, SetDoubleClickTime, "SetDoubleClickTime"},
   { /* 502 */  IT32_SetFocus, SetFocus, "SetFocus"},
   { /* 503 */  IT32_SetForegroundWindow, SetForegroundWindow, "SetForegroundWindow"},
   { /* 504 */ Win32Trap, 0, "" },
   { /* 505 */  IT32_SetKeyboardState, SetKeyboardState, "SetKeyboardState"},
   { /* 506 */  IT32_SetLastErrorEx, SetLastErrorEx, "SetLastErrorEx"},
   { /* 507 */ Win32Trap, 0, "" },
   { /* 508 */  IT32_SetMenu, SetMenu, "SetMenu"},
   { /* 509 */  IT32_SetMenuContextHelpId, SetMenuContextHelpId, "SetMenuContextHelpId"},
   { /* 510 */ Win32Trap, 0, "" },
   { /* 511 */  IT32_SetMenuItemBitmaps, SetMenuItemBitmaps, "SetMenuItemBitmaps"},
   { /* 512 */ Win32Trap, 0, "" },
   { /* 513 */ Win32Trap, 0, "" },
   { /* 514 */ Win32Trap, 0, "" },
   { /* 515 */  IT32_SetMessageQueue, SetMessageQueue, "SetMessageQueue"},
   { /* 516 */  IT32_SetParent, SetParent, "SetParent"},
   { /* 517 */ Win32Trap, 0, "" },
   { /* 518 */ Win32Trap, 0, "" },
   { /* 519 */  IT32_SetPropA, SetProp, "SetPropA"},
   { /* 520 */ Win32Trap, 0, "" },
   { /* 521 */  IT32_SetRect, SetRect, "SetRect"},
   { /* 522 */  IT32_SetRectEmpty, SetRectEmpty, "SetRectEmpty"},
   { /* 523 */  IT32_SetScrollInfo, SetScrollInfo, "SetScrollInfo"},
   { /* 524 */  IT32_SetScrollPos, SetScrollPos, "SetScrollPos"},
   { /* 525 */  IT32_SetScrollRange, SetScrollRange, "SetScrollRange"},
   { /* 526 */ Win32Trap, 0, "" },
   { /* 527 */ Win32Trap, 0, "" },
   { /* 528 */  IT32_SetSysColors, SetSysColors, "SetSysColors"},
   { /* 529 */ Win32Trap, 0, "" },
   { /* 530 */ Win32Trap, 0, "" },
   { /* 531 */ Win32Trap, 0, "" },
   { /* 532 */  IT32_SetSystemTimer, SetSystemTimer, "SetSystemTimer"},
   { /* 533 */ Win32Trap, 0, "" },
   { /* 534 */ Win32Trap, 0, "" },
   { /* 535 */  IT32_SetTimer, SetTimer, "SetTimer"},
   { /* 536 */ Win32Trap, 0, "" },
   { /* 537 */ Win32Trap, 0, "" },
   { /* 538 */ Win32Trap, 0, "" },
   { /* 539 */  IT32_SetWindowContextHelpId, SetWindowContextHelpId, "SetWindowContextHelpId"},
   { /* 540 */  IT32_SetWindowLongA, SetWindowLong, "SetWindowLongA"},
   { /* 541 */  IT32_SetWindowLongW, SetWindowLongW, "SetWindowLongW"},
   { /* 542 */  IT32_SetWindowPlacement, SetWindowPlacement, "SetWindowPlacement"},
   { /* 543 */  IT32_SetWindowPos, SetWindowPos, "SetWindowPos"},
   { /* 544 */  IT32_SetWindowRgn, SetWindowRgn, "SetWindowRgn"},
   { /* 545 */ Win32Trap, 0, "" },
   { /* 546 */  IT32_SetWindowTextA, SetWindowText, "SetWindowTextA"},
   { /* 547 */  IT32_SetWindowTextW, SetWindowTextW, "SetWindowTextW"},
   { /* 548 */  IT32_SetWindowWord, SetWindowWord, "SetWindowWord"},
   { /* 549 */  IT32_SetWindowsHookA, SetWindowsHook, "SetWindowsHookA"},
   { /* 550 */  IT32_SetWindowsHookExA, SetWindowsHookEx, "SetWindowsHookExA"},
   { /* 551 */ Win32Trap, 0, "" },
   { /* 552 */ Win32Trap, 0, "" },
   { /* 553 */  IT32_ShowCaret, ShowCaret, "ShowCaret"},
   { /* 554 */  IT32_ShowCursor, ShowCursor, "ShowCursor"},
   { /* 555 */  IT32_ShowOwnedPopups, ShowOwnedPopups, "ShowOwnedPopups"},
   { /* 556 */  IT32_ShowScrollBar, ShowScrollBar, "ShowScrollBar"},
   { /* 557 */ Win32Trap, 0, "" },
   { /* 558 */  IT32_ShowWindow, ShowWindow, "ShowWindow"},
   { /* 559 */ Win32Trap, 0, "" },
   { /* 560 */ Win32Trap, 0, "" },
   { /* 561 */  IT32_SubtractRect, SubtractRect, "SubtractRect"},
   { /* 562 */  IT32_SwapMouseButton, SwapMouseButton, "SwapMouseButton"},
   { /* 563 */ Win32Trap, 0, "" },
   { /* 564 */ Win32Trap, 0, "" },
   { /* 565 */  IT32_SystemParametersInfoA, SystemParametersInfo, "SystemParametersInfoA"},
   { /* 566 */ Win32Trap, 0, "" },
   { /* 567 */  IT32_TabbedTextOutA, TabbedTextOut, "TabbedTextOutA"},
   { /* 568 */ Win32Trap, 0, "" },
   { /* 569 */  IT32_TileChildWindows, TileChildWindows, "TileChildWindows"},
   { /* 570 */  IT32_TileWindows, TileWindows, "TileWindows"},
   { /* 571 */  IT32_ToAscii, ToAscii, "ToAscii"},
   { /* 572 */ Win32Trap, 0, "" },
   { /* 573 */ Win32Trap, 0, "" },
   { /* 574 */ Win32Trap, 0, "" },
   { /* 575 */ Win32Trap, 0, "" },
   { /* 576 */  IT32_TrackPopupMenu, TrackPopupMenu, "TrackPopupMenu"},
   { /* 577 */ Win32Trap, 0, "" },
   { /* 578 */  IT32_TranslateAccelerator, TranslateAccelerator, "TranslateAccelerator"},
   { /* 579 */  IT32_TranslateAcceleratorA, TranslateAccelerator, "TranslateAcceleratorA"},
   { /* 580 */  IT32_TranslateAcceleratorW, TranslateAcceleratorW, "TranslateAcceleratorW"},
   { /* 581 */  IT32_TranslateMDISysAccel, TranslateMDISysAccel, "TranslateMDISysAccel"},
   { /* 582 */  IT32_TranslateMessage, TranslateMessage, "TranslateMessage"},
   { /* 583 */ Win32Trap, 0, "" },
   { /* 584 */  IT32_UnhookWindowsHook, UnhookWindowsHook, "UnhookWindowsHook"},
   { /* 585 */  IT32_UnhookWindowsHookEx, UnhookWindowsHookEx, "UnhookWindowsHookEx"},
   { /* 586 */  IT32_UnionRect, UnionRect, "UnionRect"},
   { /* 587 */ Win32Trap, 0, "" },
   { /* 588 */ Win32Trap, 0, "" },
   { /* 589 */  IT32_UnpackDDElParam, UnpackDDElParam, "UnpackDDElParam"},
   { /* 590 */ Win32Trap, 0, "" },
   { /* 591 */ Win32Trap, 0, "" },
   { /* 592 */  IT32_UnregisterHotKey, UnregisterHotKey, "UnregisterHotKey"},
   { /* 593 */ Win32Trap, 0, "" },
   { /* 594 */  IT32_UpdateWindow, UpdateWindow, "UpdateWindow"},
   { /* 595 */ Win32Trap, 0, "" },
   { /* 596 */ Win32Trap, 0, "" },
   { /* 597 */ Win32Trap, 0, "" },
   { /* 598 */  IT32_ValidateRect, ValidateRect, "ValidateRect"},
   { /* 599 */  IT32_ValidateRgn, ValidateRgn, "ValidateRgn"},
   { /* 600 */ Win32Trap, 0, "" },
   { /* 601 */ Win32Trap, 0, "" },
   { /* 602 */ Win32Trap, 0, "" },
   { /* 603 */ Win32Trap, 0, "" },
   { /* 604 */ Win32Trap, 0, "" },
   { /* 605 */ Win32Trap, 0, "" },
   { /* 606 */  IT32_WaitMessage, WaitMessage, "WaitMessage"},
   { /* 607 */  IT32_WinHelpA, WinHelp, "WinHelpA"},
   { /* 608 */  IT32_WinHelpW, WinHelpW, "WinHelpW"},
   { /* 609 */  IT32_WindowFromDC, WindowFromDC, "WindowFromDC"},
   { /* 610 */  IT32_WindowFromPoint, WindowFromPoint, "WindowFromPoint"},
   { /* 611 */ Win32Trap, 0, "" },
   { /* 612 */ Win32Trap, 0, "" },
   { /* 613 */  wsprintfA, 0, "wsprintfA"},
   { /* 614 */  wsprintfW, 0, "wsprintfW"},
   { /* 615 */ Win32Trap, 0, "" },
   { /* 616 */ Win32Trap, 0, "" },
   { /* 617 */ Win32Trap, 0, "" },
   { /* 618 */ Win32Trap, 0, "" },
   { /* 619 */ Win32Trap, 0, "" },
   { /* 620 */ Win32Trap, 0, "" },
   { /* 621 */ Win32Trap, 0, "" },
   { /* 622 */ Win32Trap, 0, "" },
   { /* 623 */ Win32Trap, 0, "" },
   { /* 624 */ Win32Trap, 0, "" },
   { /* 625 */ Win32Trap, 0, "" },
   { /* 626 */ Win32Trap, 0, "" },
   { /* 627 */ Win32Trap, 0, "" },
   { /* 628 */ Win32Trap, 0, "" },
   { /* 629 */ Win32Trap, 0, "" },
   { /* 630 */ Win32Trap, 0, "" },
   { /* 631 */ Win32Trap, 0, "" },
   { /* 632 */ Win32Trap, 0, "" },
   { /* 633 */ Win32Trap, 0, "" },
   { /* 634 */ Win32Trap, 0, "" },
   { /* 635 */ Win32Trap, 0, "" },
   { /* 636 */ Win32Trap, 0, "" },
   { /* 637 */ Win32Trap, 0, "" },
   { /* 638 */ Win32Trap, 0, "" },
   { /* 639 */ Win32Trap, 0, "" },
   { /* 640 */ Win32Trap, 0, "" },
   { /* 641 */ Win32Trap, 0, "" },
   { /* 642 */ Win32Trap, 0, "" },
   { /* 643 */ Win32Trap, 0, "" },
   { /* 644 */ Win32Trap, 0, "" },
   { /* 645 */ Win32Trap, 0, "" },
   { /* 646 */ Win32Trap, 0, "" },
   { /* 647 */ Win32Trap, 0, "" },
   { /* 648 */ Win32Trap, 0, "" },
   { /* 649 */ Win32Trap, 0, "" },
   { /* 650 */ Win32Trap, 0, "" },
   { /* 651 */ Win32Trap, 0, "" },
   { /* 652 */ Win32Trap, 0, "" },
   { /* 653 */ Win32Trap, 0, "" },
   { /* 654 */ Win32Trap, 0, "" },
   { /* 655 */ Win32Trap, 0, "" },
   { /* 656 */ Win32Trap, 0, "" },
   { /* 657 */ Win32Trap, 0, "" },
   { /* 658 */ Win32Trap, 0, "" },
   { /* 659 */ Win32Trap, 0, "" },
   { /* 660 */ Win32Trap, 0, "" },
   { /* 661 */ Win32Trap, 0, "" },
   { /* 662 */ Win32Trap, 0, "" },
   { /* 663 */ Win32Trap, 0, "" },
   { /* 664 */ Win32Trap, 0, "" },
   { /* 665 */ Win32Trap, 0, "" },
   { /* 666 */ Win32Trap, 0, "" },
   { /* 667 */ Win32Trap, 0, "" },
   { /* 668 */ Win32Trap, 0, "" },
   { /* 669 */ Win32Trap, 0, "" },
   { /* 670 */ Win32Trap, 0, "" },
   { /* 671 */ Win32Trap, 0, "" },
   { /* 672 */ Win32Trap, 0, "" },
   { /* 673 */ Win32Trap, 0, "" },
   { /* 674 */ Win32Trap, 0, "" },
   { /* 675 */ Win32Trap, 0, "" },
   { /* 676 */ Win32Trap, 0, "" },
   { /* 677 */ Win32Trap, 0, "" },
   { /* 678 */ Win32Trap, 0, "" },
   { /* 679 */ Win32Trap, 0, "" },
   { /* 680 */ Win32Trap, 0, "" },
   { /* 681 */ Win32Trap, 0, "" },
   { /* 682 */ Win32Trap, 0, "" },
   { /* 683 */ Win32Trap, 0, "" },
   { /* 684 */ Win32Trap, 0, "" },
   { /* 685 */ Win32Trap, 0, "" },
   { /* 686 */ Win32Trap, 0, "" },
   { /* 687 */ Win32Trap, 0, "" },
   { /* 688 */ Win32Trap, 0, "" },
   { /* 689 */ Win32Trap, 0, "" },
   { /* 690 */ Win32Trap, 0, "" },
   { /* 691 */ Win32Trap, 0, "" },
   { /* 692 */ Win32Trap, 0, "" },
   { /* 693 */ Win32Trap, 0, "" },
   { /* 694 */ Win32Trap, 0, "" },
   { /* 695 */ Win32Trap, 0, "" },
   { /* 696 */ Win32Trap, 0, "" },
   { /* 697 */ Win32Trap, 0, "" },
   { /* 698 */ Win32Trap, 0, "" },
   { /* 699 */ Win32Trap, 0, "" },
   { /* 700 */ Win32Trap, 0, "" },
   { /* 701 */ Win32Trap, 0, "" },
   { /* 702 */ Win32Trap, 0, "" },
   { /* 703 */ Win32Trap, 0, "" },
   { /* 704 */ Win32Trap, 0, "" },
   { /* 705 */ Win32Trap, 0, "" },
   { /* 706 */ Win32Trap, 0, "" },
   { /* 707 */ Win32Trap, 0, "" },
   { /* 708 */ Win32Trap, 0, "" },
   { /* 709 */ Win32Trap, 0, "" },
   { /* 710 */ Win32Trap, 0, "" },
   { /* 711 */ Win32Trap, 0, "" },
   { /* 712 */ Win32Trap, 0, "" },
   { /* 713 */ Win32Trap, 0, "" },
   { /* 714 */ Win32Trap, 0, "" },
   { /* 715 */ Win32Trap, 0, "" },
   { /* 716 */ Win32Trap, 0, "" },
   { /* 717 */ Win32Trap, 0, "" },
   { /* 718 */ Win32Trap, 0, "" },
   { /* 719 */ Win32Trap, 0, "" },
   { /* 720 */ Win32Trap, 0, "" },
   { /* 721 */ Win32Trap, 0, "" },
   { /* 722 */ Win32Trap, 0, "" },
   { /* 723 */ Win32Trap, 0, "" },
   { /* 724 */ Win32Trap, 0, "" },
   { /* 725 */ Win32Trap, 0, "" },
   { /* 726 */ Win32Trap, 0, "" },
   { /* 727 */ Win32Trap, 0, "" },
   { /* 728 */ Win32Trap, 0, "" },
   { /* 729 */ Win32Trap, 0, "" },
   { /* 730 */ Win32Trap, 0, "" },
   { /* 731 */ Win32Trap, 0, "" },
   { /* 732 */ Win32Trap, 0, "" },
   { /* 733 */ Win32Trap, 0, "" },
   { /* 734 */ Win32Trap, 0, "" },
   { /* 735 */ Win32Trap, 0, "" },
   { /* 736 */ Win32Trap, 0, "" },
   { /* 737 */ Win32Trap, 0, "" },
   { /* 738 */ Win32Trap, 0, "" },
   { /* 739 */ Win32Trap, 0, "" },
   { /* 740 */ Win32Trap, 0, "" },
   { /* 741 */ Win32Trap, 0, "" },
   { /* 742 */ Win32Trap, 0, "" },
   { /* 743 */ Win32Trap, 0, "" },
   { /* 744 */ Win32Trap, 0, "" },
   { /* 745 */ Win32Trap, 0, "" },
   { /* 746 */ Win32Trap, 0, "" },
   { /* 747 */ Win32Trap, 0, "" },
   { /* 748 */ Win32Trap, 0, "" },
   { /* 749 */ Win32Trap, 0, "" },
   { /* 750 */ Win32Trap, 0, "" },
   { /* 751 */ Win32Trap, 0, "" },
   { /* 752 */ Win32Trap, 0, "" },
   { /* 753 */ Win32Trap, 0, "" },
   { /* 754 */ Win32Trap, 0, "" },
   { /* 755 */ Win32Trap, 0, "" },
   { /* 756 */ Win32Trap, 0, "" },
   { /* 757 */ Win32Trap, 0, "" },
   { /* 758 */ Win32Trap, 0, "" },
   { /* 759 */ Win32Trap, 0, "" },
   { /* 760 */  IT32_User32End, User32End, "User32End"},
   { /* 761 */ 0,0} 
#endif
};
